<?php

namespace Database\Seeders;

use App\Models\Regency;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class RegenciesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $regencies = [
            [
                'id' => 1101,
                'province_id' => 11,
                'name' => 'KABUPATEN SIMEULUE',
                'alt_name' => 'KABUPATEN SIMEULUE',
                'latitude' => 2.616670,
                'longitude' => 96.083330,
            ],
            [
                'id' => 1102,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH SINGKIL',
                'alt_name' => 'KABUPATEN ACEH SINGKIL',
                'latitude' => 2.416670,
                'longitude' => 97.916670,
            ],
            [
                'id' => 1103,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH SELATAN',
                'alt_name' => 'KABUPATEN ACEH SELATAN',
                'latitude' => 3.166670,
                'longitude' => 97.416670,
            ],
            [
                'id' => 1104,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH TENGGARA',
                'alt_name' => 'KABUPATEN ACEH TENGGARA',
                'latitude' => 3.366670,
                'longitude' => 97.700000,
            ],
            [
                'id' => 1105,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH TIMUR',
                'alt_name' => 'KABUPATEN ACEH TIMUR',
                'latitude' => 4.633330,
                'longitude' => 97.633330,
            ],
            [
                'id' => 1106,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH TENGAH',
                'alt_name' => 'KABUPATEN ACEH TENGAH',
                'latitude' => 4.510000,
                'longitude' => 96.855000,
            ],
            [
                'id' => 1107,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH BARAT',
                'alt_name' => 'KABUPATEN ACEH BARAT',
                'latitude' => 4.450000,
                'longitude' => 96.166670,
            ],
            [
                'id' => 1108,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH BESAR',
                'alt_name' => 'KABUPATEN ACEH BESAR',
                'latitude' => 5.383330,
                'longitude' => 95.516670,
            ],
            [
                'id' => 1109,
                'province_id' => 11,
                'name' => 'KABUPATEN PIDIE',
                'alt_name' => 'KABUPATEN PIDIE',
                'latitude' => 5.080000,
                'longitude' => 96.110000,
            ],
            [
                'id' => 1110,
                'province_id' => 11,
                'name' => 'KABUPATEN BIREUEN',
                'alt_name' => 'KABUPATEN BIREUEN',
                'latitude' => 5.083330,
                'longitude' => 96.583330,
            ],
            [
                'id' => 1111,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH UTARA',
                'alt_name' => 'KABUPATEN ACEH UTARA',
                'latitude' => 4.970000,
                'longitude' => 97.140000,
            ],
            [
                'id' => 1112,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH BARAT DAYA',
                'alt_name' => 'KABUPATEN ACEH BARAT DAYA',
                'latitude' => 3.833330,
                'longitude' => 96.883330,
            ],
            [
                'id' => 1113,
                'province_id' => 11,
                'name' => 'KABUPATEN GAYO LUES',
                'alt_name' => 'KABUPATEN GAYO LUES',
                'latitude' => 3.950000,
                'longitude' => 97.390000,
            ],
            [
                'id' => 1114,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH TAMIANG',
                'alt_name' => 'KABUPATEN ACEH TAMIANG',
                'latitude' => 4.250000,
                'longitude' => 97.966670,
            ],
            [
                'id' => 1115,
                'province_id' => 11,
                'name' => 'KABUPATEN NAGAN RAYA',
                'alt_name' => 'KABUPATEN NAGAN RAYA',
                'latitude' => 4.166670,
                'longitude' => 96.516670,
            ],
            [
                'id' => 1116,
                'province_id' => 11,
                'name' => 'KABUPATEN ACEH JAYA',
                'alt_name' => 'KABUPATEN ACEH JAYA',
                'latitude' => 4.860000,
                'longitude' => 95.640000,
            ],
            [
                'id' => 1117,
                'province_id' => 11,
                'name' => 'KABUPATEN BENER MERIAH',
                'alt_name' => 'KABUPATEN BENER MERIAH',
                'latitude' => 4.730150,
                'longitude' => 96.861560,
            ],
            [
                'id' => 1118,
                'province_id' => 11,
                'name' => 'KABUPATEN PIDIE JAYA',
                'alt_name' => 'KABUPATEN PIDIE JAYA',
                'latitude' => 5.150000,
                'longitude' => 96.216670,
            ],
            [
                'id' => 1171,
                'province_id' => 11,
                'name' => 'KOTA BANDA ACEH',
                'alt_name' => 'KOTA BANDA ACEH',
                'latitude' => 5.541670,
                'longitude' => 95.333330,
            ],
            [
                'id' => 1172,
                'province_id' => 11,
                'name' => 'KOTA SABANG',
                'alt_name' => 'KOTA SABANG',
                'latitude' => 5.821640,
                'longitude' => 95.310860,
            ],
            [
                'id' => 1173,
                'province_id' => 11,
                'name' => 'KOTA LANGSA',
                'alt_name' => 'KOTA LANGSA',
                'latitude' => 4.470000,
                'longitude' => 97.930000,
            ],
            [
                'id' => 1174,
                'province_id' => 11,
                'name' => 'KOTA LHOKSEUMAWE',
                'alt_name' => 'KOTA LHOKSEUMAWE',
                'latitude' => 5.133330,
                'longitude' => 97.066670,
            ],
            [
                'id' => 1175,
                'province_id' => 11,
                'name' => 'KOTA SUBULUSSALAM',
                'alt_name' => 'KOTA SUBULUSSALAM',
                'latitude' => 2.750000,
                'longitude' => 97.933330,
            ],
            [
                'id' => 1201,
                'province_id' => 12,
                'name' => 'KABUPATEN NIAS',
                'alt_name' => 'KABUPATEN NIAS',
                'latitude' => 1.033330,
                'longitude' => 97.766670,
            ],
            [
                'id' => 1202,
                'province_id' => 12,
                'name' => 'KABUPATEN MANDAILING NATAL',
                'alt_name' => 'KABUPATEN MANDAILING NATAL',
                'latitude' => 0.783780,
                'longitude' => 99.254950,
            ],
            [
                'id' => 1203,
                'province_id' => 12,
                'name' => 'KABUPATEN TAPANULI SELATAN',
                'alt_name' => 'KABUPATEN TAPANULI SELATAN',
                'latitude' => 1.516670,
                'longitude' => 99.250000,
            ],
            [
                'id' => 1204,
                'province_id' => 12,
                'name' => 'KABUPATEN TAPANULI TENGAH',
                'alt_name' => 'KABUPATEN TAPANULI TENGAH',
                'latitude' => 1.900000,
                'longitude' => 98.666670,
            ],
            [
                'id' => 1205,
                'province_id' => 12,
                'name' => 'KABUPATEN TAPANULI UTARA',
                'alt_name' => 'KABUPATEN TAPANULI UTARA',
                'latitude' => 2.002800,
                'longitude' => 99.070700,
            ],
            [
                'id' => 1206,
                'province_id' => 12,
                'name' => 'KABUPATEN TOBA SAMOSIR',
                'alt_name' => 'KABUPATEN TOBA SAMOSIR',
                'latitude' => 2.397930,
                'longitude' => 99.216780,
            ],
            [
                'id' => 1207,
                'province_id' => 12,
                'name' => 'KABUPATEN LABUHAN BATU',
                'alt_name' => 'KABUPATEN LABUHAN BATU',
                'latitude' => 2.266670,
                'longitude' => 100.100000,
            ],
            [
                'id' => 1208,
                'province_id' => 12,
                'name' => 'KABUPATEN ASAHAN',
                'alt_name' => 'KABUPATEN ASAHAN',
                'latitude' => 2.783330,
                'longitude' => 99.550000,
            ],
            [
                'id' => 1209,
                'province_id' => 12,
                'name' => 'KABUPATEN SIMALUNGUN',
                'alt_name' => 'KABUPATEN SIMALUNGUN',
                'latitude' => 2.900000,
                'longitude' => 99.000000,
            ],
            [
                'id' => 1210,
                'province_id' => 12,
                'name' => 'KABUPATEN DAIRI',
                'alt_name' => 'KABUPATEN DAIRI',
                'latitude' => 2.866670,
                'longitude' => 98.233330,
            ],
            [
                'id' => 1211,
                'province_id' => 12,
                'name' => 'KABUPATEN KARO',
                'alt_name' => 'KABUPATEN KARO',
                'latitude' => 3.116670,
                'longitude' => 98.300000,
            ],
            [
                'id' => 1212,
                'province_id' => 12,
                'name' => 'KABUPATEN DELI SERDANG',
                'alt_name' => 'KABUPATEN DELI SERDANG',
                'latitude' => 3.416670,
                'longitude' => 98.666670,
            ],
            [
                'id' => 1213,
                'province_id' => 12,
                'name' => 'KABUPATEN LANGKAT',
                'alt_name' => 'KABUPATEN LANGKAT',
                'latitude' => 3.716670,
                'longitude' => 98.216670,
            ],
            [
                'id' => 1214,
                'province_id' => 12,
                'name' => 'KABUPATEN NIAS SELATAN',
                'alt_name' => 'KABUPATEN NIAS SELATAN',
                'latitude' => 0.770000,
                'longitude' => 97.750000,
            ],
            [
                'id' => 1215,
                'province_id' => 12,
                'name' => 'KABUPATEN HUMBANG HASUNDUTAN',
                'alt_name' => 'KABUPATEN HUMBANG HASUNDUTAN',
                'latitude' => 2.265510,
                'longitude' => 98.503760,
            ],
            [
                'id' => 1216,
                'province_id' => 12,
                'name' => 'KABUPATEN PAKPAK BHARAT',
                'alt_name' => 'KABUPATEN PAKPAK BHARAT',
                'latitude' => 2.566670,
                'longitude' => 98.283330,
            ],
            [
                'id' => 1217,
                'province_id' => 12,
                'name' => 'KABUPATEN SAMOSIR',
                'alt_name' => 'KABUPATEN SAMOSIR',
                'latitude' => 2.640250,
                'longitude' => 98.715250,
            ],
            [
                'id' => 1218,
                'province_id' => 12,
                'name' => 'KABUPATEN SERDANG BEDAGAI',
                'alt_name' => 'KABUPATEN SERDANG BEDAGAI',
                'latitude' => 3.366670,
                'longitude' => 99.033330,
            ],
            [
                'id' => 1219,
                'province_id' => 12,
                'name' => 'KABUPATEN BATU BARA',
                'alt_name' => 'KABUPATEN BATU BARA',
                'latitude' => 3.161660,
                'longitude' => 99.526520,
            ],
            [
                'id' => 1220,
                'province_id' => 12,
                'name' => 'KABUPATEN PADANG LAWAS UTARA',
                'alt_name' => 'KABUPATEN PADANG LAWAS UTARA',
                'latitude' => 1.460110,
                'longitude' => 99.673460,
            ],
            [
                'id' => 1221,
                'province_id' => 12,
                'name' => 'KABUPATEN PADANG LAWAS',
                'alt_name' => 'KABUPATEN PADANG LAWAS',
                'latitude' => 1.446840,
                'longitude' => 99.992070,
            ],
            [
                'id' => 1222,
                'province_id' => 12,
                'name' => 'KABUPATEN LABUHAN BATU SELATAN',
                'alt_name' => 'KABUPATEN LABUHAN BATU SELATAN',
                'latitude' => 1.983000,
                'longitude' => 100.097600,
            ],
            [
                'id' => 1223,
                'province_id' => 12,
                'name' => 'KABUPATEN LABUHAN BATU UTARA',
                'alt_name' => 'KABUPATEN LABUHAN BATU UTARA',
                'latitude' => 2.333490,
                'longitude' => 99.637760,
            ],
            [
                'id' => 1224,
                'province_id' => 12,
                'name' => 'KABUPATEN NIAS UTARA',
                'alt_name' => 'KABUPATEN NIAS UTARA',
                'latitude' => 1.330370,
                'longitude' => 97.319640,
            ],
            [
                'id' => 1225,
                'province_id' => 12,
                'name' => 'KABUPATEN NIAS BARAT',
                'alt_name' => 'KABUPATEN NIAS BARAT',
                'latitude' => 1.059660,
                'longitude' => 97.586060,
            ],
            [
                'id' => 1271,
                'province_id' => 12,
                'name' => 'KOTA SIBOLGA',
                'alt_name' => 'KOTA SIBOLGA',
                'latitude' => 1.733330,
                'longitude' => 98.800000,
            ],
            [
                'id' => 1272,
                'province_id' => 12,
                'name' => 'KOTA TANJUNG BALAI',
                'alt_name' => 'KOTA TANJUNG BALAI',
                'latitude' => 2.958330,
                'longitude' => 99.791670,
            ],
            [
                'id' => 1273,
                'province_id' => 12,
                'name' => 'KOTA PEMATANG SIANTAR',
                'alt_name' => 'KOTA PEMATANG SIANTAR',
                'latitude' => 2.966670,
                'longitude' => 99.050000,
            ],
            [
                'id' => 1274,
                'province_id' => 12,
                'name' => 'KOTA TEBING TINGGI',
                'alt_name' => 'KOTA TEBING TINGGI',
                'latitude' => 3.325000,
                'longitude' => 99.141670,
            ],
            [
                'id' => 1275,
                'province_id' => 12,
                'name' => 'KOTA MEDAN',
                'alt_name' => 'KOTA MEDAN',
                'latitude' => 3.650000,
                'longitude' => 98.666670,
            ],
            [
                'id' => 1276,
                'province_id' => 12,
                'name' => 'KOTA BINJAI',
                'alt_name' => 'KOTA BINJAI',
                'latitude' => 3.800000,
                'longitude' => 108.233330,
            ],
            [
                'id' => 1277,
                'province_id' => 12,
                'name' => 'KOTA PADANG SIDEMPUAN',
                'alt_name' => 'KOTA PADANG SIDEMPUAN',
                'latitude' => 1.373750,
                'longitude' => 99.268430,
            ],
            [
                'id' => 1278,
                'province_id' => 12,
                'name' => 'KOTA GUNUNGSITOLI',
                'alt_name' => 'KOTA GUNUNGSITOLI',
                'latitude' => 1.327310,
                'longitude' => 97.550180,
            ],
            [
                'id' => 1301,
                'province_id' => 13,
                'name' => 'KABUPATEN KEPULAUAN MENTAWAI',
                'alt_name' => 'KABUPATEN KEPULAUAN MENTAWAI',
                'latitude' => 1.989170,
                'longitude' => 99.518890,
            ],
            [
                'id' => 1302,
                'province_id' => 13,
                'name' => 'KABUPATEN PESISIR SELATAN',
                'alt_name' => 'KABUPATEN PESISIR SELATAN',
                'latitude' => -1.583330,
                'longitude' => 100.850000,
            ],
            [
                'id' => 1303,
                'province_id' => 13,
                'name' => 'KABUPATEN SOLOK',
                'alt_name' => 'KABUPATEN SOLOK',
                'latitude' => -0.966670,
                'longitude' => 100.816670,
            ],
            [
                'id' => 1304,
                'province_id' => 13,
                'name' => 'KABUPATEN SIJUNJUNG',
                'alt_name' => 'KABUPATEN SIJUNJUNG',
                'latitude' => -1.182700,
                'longitude' => 101.605600,
            ],
            [
                'id' => 1305,
                'province_id' => 13,
                'name' => 'KABUPATEN TANAH DATAR',
                'alt_name' => 'KABUPATEN TANAH DATAR',
                'latitude' => -0.455500,
                'longitude' => 100.577100,
            ],
            [
                'id' => 1306,
                'province_id' => 13,
                'name' => 'KABUPATEN PADANG PARIAMAN',
                'alt_name' => 'KABUPATEN PADANG PARIAMAN',
                'latitude' => -0.600000,
                'longitude' => 100.283330,
            ],
            [
                'id' => 1307,
                'province_id' => 13,
                'name' => 'KABUPATEN AGAM',
                'alt_name' => 'KABUPATEN AGAM',
                'latitude' => -0.250000,
                'longitude' => 100.166670,
            ],
            [
                'id' => 1308,
                'province_id' => 13,
                'name' => 'KABUPATEN LIMA PULUH KOTA',
                'alt_name' => 'KABUPATEN LIMA PULUH KOTA',
                'latitude' => -0.016800,
                'longitude' => 100.587200,
            ],
            [
                'id' => 1309,
                'province_id' => 13,
                'name' => 'KABUPATEN PASAMAN',
                'alt_name' => 'KABUPATEN PASAMAN',
                'latitude' => 0.425030,
                'longitude' => 99.946060,
            ],
            [
                'id' => 1310,
                'province_id' => 13,
                'name' => 'KABUPATEN SOLOK SELATAN',
                'alt_name' => 'KABUPATEN SOLOK SELATAN',
                'latitude' => -1.233330,
                'longitude' => 101.417000,
            ],
            [
                'id' => 1311,
                'province_id' => 13,
                'name' => 'KABUPATEN DHARMASRAYA',
                'alt_name' => 'KABUPATEN DHARMASRAYA',
                'latitude' => -1.050000,
                'longitude' => 101.367000,
            ],
            [
                'id' => 1312,
                'province_id' => 13,
                'name' => 'KABUPATEN PASAMAN BARAT',
                'alt_name' => 'KABUPATEN PASAMAN BARAT',
                'latitude' => 0.281520,
                'longitude' => 99.519650,
            ],
            [
                'id' => 1371,
                'province_id' => 13,
                'name' => 'KOTA PADANG',
                'alt_name' => 'KOTA PADANG',
                'latitude' => -0.983330,
                'longitude' => 100.450000,
            ],
            [
                'id' => 1372,
                'province_id' => 13,
                'name' => 'KOTA SOLOK',
                'alt_name' => 'KOTA SOLOK',
                'latitude' => -0.766670,
                'longitude' => 100.616670,
            ],
            [
                'id' => 1373,
                'province_id' => 13,
                'name' => 'KOTA SAWAH LUNTO',
                'alt_name' => 'KOTA SAWAH LUNTO',
                'latitude' => -0.600000,
                'longitude' => 100.750000,
            ],
            [
                'id' => 1374,
                'province_id' => 13,
                'name' => 'KOTA PADANG PANJANG',
                'alt_name' => 'KOTA PADANG PANJANG',
                'latitude' => -0.450000,
                'longitude' => 100.433330,
            ],
            [
                'id' => 1375,
                'province_id' => 13,
                'name' => 'KOTA BUKITTINGGI',
                'alt_name' => 'KOTA BUKITTINGGI',
                'latitude' => -0.275000,
                'longitude' => 100.375000,
            ],
            [
                'id' => 1376,
                'province_id' => 13,
                'name' => 'KOTA PAYAKUMBUH',
                'alt_name' => 'KOTA PAYAKUMBUH',
                'latitude' => -0.233330,
                'longitude' => 100.633330,
            ],
            [
                'id' => 1377,
                'province_id' => 13,
                'name' => 'KOTA PARIAMAN',
                'alt_name' => 'KOTA PARIAMAN',
                'latitude' => -0.626820,
                'longitude' => 100.120470,
            ],
            [
                'id' => 1401,
                'province_id' => 14,
                'name' => 'KABUPATEN KUANTAN SINGINGI',
                'alt_name' => 'KABUPATEN KUANTAN SINGINGI',
                'latitude' => -0.475320,
                'longitude' => 101.458570,
            ],
            [
                'id' => 1402,
                'province_id' => 14,
                'name' => 'KABUPATEN INDRAGIRI HULU',
                'alt_name' => 'KABUPATEN INDRAGIRI HULU',
                'latitude' => -0.550000,
                'longitude' => 102.316670,
            ],
            [
                'id' => 1403,
                'province_id' => 14,
                'name' => 'KABUPATEN INDRAGIRI HILIR',
                'alt_name' => 'KABUPATEN INDRAGIRI HILIR',
                'latitude' => -0.333330,
                'longitude' => 103.166670,
            ],
            [
                'id' => 1404,
                'province_id' => 14,
                'name' => 'KABUPATEN PELALAWAN',
                'alt_name' => 'KABUPATEN PELALAWAN',
                'latitude' => 0.208220,
                'longitude' => 102.186070,
            ],
            [
                'id' => 1405,
                'province_id' => 14,
                'name' => 'KABUPATEN SIAK',
                'alt_name' => 'KABUPATEN SIAK',
                'latitude' => 0.974530,
                'longitude' => 102.013550,
            ],
            [
                'id' => 1406,
                'province_id' => 14,
                'name' => 'KABUPATEN KAMPAR',
                'alt_name' => 'KABUPATEN KAMPAR',
                'latitude' => 0.234400,
                'longitude' => 101.213100,
            ],
            [
                'id' => 1407,
                'province_id' => 14,
                'name' => 'KABUPATEN ROKAN HULU',
                'alt_name' => 'KABUPATEN ROKAN HULU',
                'latitude' => 0.883330,
                'longitude' => 100.483330,
            ],
            [
                'id' => 1408,
                'province_id' => 14,
                'name' => 'KABUPATEN BENGKALIS',
                'alt_name' => 'KABUPATEN BENGKALIS',
                'latitude' => 0.983800,
                'longitude' => 102.509600,
            ],
            [
                'id' => 1409,
                'province_id' => 14,
                'name' => 'KABUPATEN ROKAN HILIR',
                'alt_name' => 'KABUPATEN ROKAN HILIR',
                'latitude' => 2.165990,
                'longitude' => 100.825140,
            ],
            [
                'id' => 1410,
                'province_id' => 14,
                'name' => 'KABUPATEN KEPULAUAN MERANTI',
                'alt_name' => 'KABUPATEN KEPULAUAN MERANTI',
                'latitude' => 0.974880,
                'longitude' => 102.695390,
            ],
            [
                'id' => 1471,
                'province_id' => 14,
                'name' => 'KOTA PEKANBARU',
                'alt_name' => 'KOTA PEKANBARU',
                'latitude' => 0.533330,
                'longitude' => 101.466670,
            ],
            [
                'id' => 1473,
                'province_id' => 14,
                'name' => 'KOTA DUMAI',
                'alt_name' => 'KOTA DUMAI',
                'latitude' => 1.615920,
                'longitude' => 101.491700,
            ],
            [
                'id' => 1501,
                'province_id' => 15,
                'name' => 'KABUPATEN KERINCI',
                'alt_name' => 'KABUPATEN KERINCI',
                'latitude' => -2.033330,
                'longitude' => 101.533330,
            ],
            [
                'id' => 1502,
                'province_id' => 15,
                'name' => 'KABUPATEN MERANGIN',
                'alt_name' => 'KABUPATEN MERANGIN',
                'latitude' => -2.069330,
                'longitude' => 102.133030,
            ],
            [
                'id' => 1503,
                'province_id' => 15,
                'name' => 'KABUPATEN SAROLANGUN',
                'alt_name' => 'KABUPATEN SAROLANGUN',
                'latitude' => -2.300000,
                'longitude' => 102.650000,
            ],
            [
                'id' => 1504,
                'province_id' => 15,
                'name' => 'KABUPATEN BATANG HARI',
                'alt_name' => 'KABUPATEN BATANG HARI',
                'latitude' => -1.750000,
                'longitude' => 103.116670,
            ],
            [
                'id' => 1505,
                'province_id' => 15,
                'name' => 'KABUPATEN MUARO JAMBI',
                'alt_name' => 'KABUPATEN MUARO JAMBI',
                'latitude' => -1.552140,
                'longitude' => 103.821630,
            ],
            [
                'id' => 1506,
                'province_id' => 15,
                'name' => 'KABUPATEN TANJUNG JABUNG TIMUR',
                'alt_name' => 'KABUPATEN TANJUNG JABUNG TIMUR',
                'latitude' => -1.131980,
                'longitude' => 103.617550,
            ],
            [
                'id' => 1507,
                'province_id' => 15,
                'name' => 'KABUPATEN TANJUNG JABUNG BARAT',
                'alt_name' => 'KABUPATEN TANJUNG JABUNG BARAT',
                'latitude' => -1.154400,
                'longitude' => 103.244020,
            ],
            [
                'id' => 1508,
                'province_id' => 15,
                'name' => 'KABUPATEN TEBO',
                'alt_name' => 'KABUPATEN TEBO',
                'latitude' => -1.455760,
                'longitude' => 102.374730,
            ],
            [
                'id' => 1509,
                'province_id' => 15,
                'name' => 'KABUPATEN BUNGO',
                'alt_name' => 'KABUPATEN BUNGO',
                'latitude' => -1.502220,
                'longitude' => 101.960000,
            ],
            [
                'id' => 1571,
                'province_id' => 15,
                'name' => 'KOTA JAMBI',
                'alt_name' => 'KOTA JAMBI',
                'latitude' => -1.616670,
                'longitude' => 103.650000,
            ],
            [
                'id' => 1572,
                'province_id' => 15,
                'name' => 'KOTA SUNGAI PENUH',
                'alt_name' => 'KOTA SUNGAI PENUH',
                'latitude' => -2.108960,
                'longitude' => 101.321750,
            ],
            [
                'id' => 1601,
                'province_id' => 16,
                'name' => 'KABUPATEN OGAN KOMERING ULU',
                'alt_name' => 'KABUPATEN OGAN KOMERING ULU',
                'latitude' => -4.133330,
                'longitude' => 104.033330,
            ],
            [
                'id' => 1602,
                'province_id' => 16,
                'name' => 'KABUPATEN OGAN KOMERING ILIR',
                'alt_name' => 'KABUPATEN OGAN KOMERING ILIR',
                'latitude' => -3.366670,
                'longitude' => 105.366670,
            ],
            [
                'id' => 1603,
                'province_id' => 16,
                'name' => 'KABUPATEN MUARA ENIM',
                'alt_name' => 'KABUPATEN MUARA ENIM',
                'latitude' => -4.232700,
                'longitude' => 103.614100,
            ],
            [
                'id' => 1604,
                'province_id' => 16,
                'name' => 'KABUPATEN LAHAT',
                'alt_name' => 'KABUPATEN LAHAT',
                'latitude' => -3.786400,
                'longitude' => 103.542800,
            ],
            [
                'id' => 1605,
                'province_id' => 16,
                'name' => 'KABUPATEN MUSI RAWAS',
                'alt_name' => 'KABUPATEN MUSI RAWAS',
                'latitude' => -3.083330,
                'longitude' => 103.200000,
            ],
            [
                'id' => 1606,
                'province_id' => 16,
                'name' => 'KABUPATEN MUSI BANYU ASIN',
                'alt_name' => 'KABUPATEN MUSI BANYU ASIN',
                'latitude' => -2.416670,
                'longitude' => 103.750000,
            ],
            [
                'id' => 1607,
                'province_id' => 16,
                'name' => 'KABUPATEN BANYU ASIN',
                'alt_name' => 'KABUPATEN BANYU ASIN',
                'latitude' => -2.883330,
                'longitude' => 104.383060,
            ],
            [
                'id' => 1608,
                'province_id' => 16,
                'name' => 'KABUPATEN OGAN KOMERING ULU SELATAN',
                'alt_name' => 'KABUPATEN OGAN KOMERING ULU SELATAN',
                'latitude' => -4.657280,
                'longitude' => 104.006590,
            ],
            [
                'id' => 1609,
                'province_id' => 16,
                'name' => 'KABUPATEN OGAN KOMERING ULU TIMUR',
                'alt_name' => 'KABUPATEN OGAN KOMERING ULU TIMUR',
                'latitude' => -3.856790,
                'longitude' => 104.752090,
            ],
            [
                'id' => 1610,
                'province_id' => 16,
                'name' => 'KABUPATEN OGAN ILIR',
                'alt_name' => 'KABUPATEN OGAN ILIR',
                'latitude' => -3.431860,
                'longitude' => 104.627270,
            ],
            [
                'id' => 1611,
                'province_id' => 16,
                'name' => 'KABUPATEN EMPAT LAWANG',
                'alt_name' => 'KABUPATEN EMPAT LAWANG',
                'latitude' => 3.226670,
                'longitude' => 99.092560,
            ],
            [
                'id' => 1612,
                'province_id' => 16,
                'name' => 'KABUPATEN PENUKAL ABAB LEMATANG ILIR',
                'alt_name' => 'KABUPATEN PENUKAL ABAB LEMATANG ILIR',
                'latitude' => -3.213420,
                'longitude' => 104.087220,
            ],
            [
                'id' => 1613,
                'province_id' => 16,
                'name' => 'KABUPATEN MUSI RAWAS UTARA',
                'alt_name' => 'KABUPATEN MUSI RAWAS UTARA',
                'latitude' => -2.485330,
                'longitude' => 103.293460,
            ],
            [
                'id' => 1671,
                'province_id' => 16,
                'name' => 'KOTA PALEMBANG',
                'alt_name' => 'KOTA PALEMBANG',
                'latitude' => -3.000000,
                'longitude' => 104.716670,
            ],
            [
                'id' => 1672,
                'province_id' => 16,
                'name' => 'KOTA PRABUMULIH',
                'alt_name' => 'KOTA PRABUMULIH',
                'latitude' => -3.462020,
                'longitude' => 104.222900,
            ],
            [
                'id' => 1673,
                'province_id' => 16,
                'name' => 'KOTA PAGAR ALAM',
                'alt_name' => 'KOTA PAGAR ALAM',
                'latitude' => -4.130550,
                'longitude' => 103.268220,
            ],
            [
                'id' => 1674,
                'province_id' => 16,
                'name' => 'KOTA LUBUK LINGGAU',
                'alt_name' => 'KOTA LUBUK LINGGAU',
                'latitude' => -3.293080,
                'longitude' => 102.855030,
            ],
            [
                'id' => 1701,
                'province_id' => 17,
                'name' => 'KABUPATEN BENGKULU SELATAN',
                'alt_name' => 'KABUPATEN BENGKULU SELATAN',
                'latitude' => -4.350000,
                'longitude' => 103.033330,
            ],
            [
                'id' => 1702,
                'province_id' => 17,
                'name' => 'KABUPATEN REJANG LEBONG',
                'alt_name' => 'KABUPATEN REJANG LEBONG',
                'latitude' => -3.433330,
                'longitude' => 102.716670,
            ],
            [
                'id' => 1703,
                'province_id' => 17,
                'name' => 'KABUPATEN BENGKULU UTARA',
                'alt_name' => 'KABUPATEN BENGKULU UTARA',
                'latitude' => -3.333330,
                'longitude' => 102.050000,
            ],
            [
                'id' => 1704,
                'province_id' => 17,
                'name' => 'KABUPATEN KAUR',
                'alt_name' => 'KABUPATEN KAUR',
                'latitude' => -4.781790,
                'longitude' => 103.361090,
            ],
            [
                'id' => 1705,
                'province_id' => 17,
                'name' => 'KABUPATEN SELUMA',
                'alt_name' => 'KABUPATEN SELUMA',
                'latitude' => -3.966440,
                'longitude' => 102.474290,
            ],
            [
                'id' => 1706,
                'province_id' => 17,
                'name' => 'KABUPATEN MUKOMUKO',
                'alt_name' => 'KABUPATEN MUKOMUKO',
                'latitude' => -3.074380,
                'longitude' => 101.547660,
            ],
            [
                'id' => 1707,
                'province_id' => 17,
                'name' => 'KABUPATEN LEBONG',
                'alt_name' => 'KABUPATEN LEBONG',
                'latitude' => -3.242780,
                'longitude' => 102.334900,
            ],
            [
                'id' => 1708,
                'province_id' => 17,
                'name' => 'KABUPATEN KEPAHIANG',
                'alt_name' => 'KABUPATEN KEPAHIANG',
                'latitude' => -3.601940,
                'longitude' => 102.564240,
            ],
            [
                'id' => 1709,
                'province_id' => 17,
                'name' => 'KABUPATEN BENGKULU TENGAH',
                'alt_name' => 'KABUPATEN BENGKULU TENGAH',
                'latitude' => -3.206790,
                'longitude' => 102.126160,
            ],
            [
                'id' => 1771,
                'province_id' => 17,
                'name' => 'KOTA BENGKULU',
                'alt_name' => 'KOTA BENGKULU',
                'latitude' => -3.816670,
                'longitude' => 102.316670,
            ],
            [
                'id' => 1801,
                'province_id' => 18,
                'name' => 'KABUPATEN LAMPUNG BARAT',
                'alt_name' => 'KABUPATEN LAMPUNG BARAT',
                'latitude' => -5.149040,
                'longitude' => 104.193090,
            ],
            [
                'id' => 1802,
                'province_id' => 18,
                'name' => 'KABUPATEN TANGGAMUS',
                'alt_name' => 'KABUPATEN TANGGAMUS',
                'latitude' => -5.385080,
                'longitude' => 104.623490,
            ],
            [
                'id' => 1803,
                'province_id' => 18,
                'name' => 'KABUPATEN LAMPUNG SELATAN',
                'alt_name' => 'KABUPATEN LAMPUNG SELATAN',
                'latitude' => -5.453100,
                'longitude' => 104.987700,
            ],
            [
                'id' => 1804,
                'province_id' => 18,
                'name' => 'KABUPATEN LAMPUNG TIMUR',
                'alt_name' => 'KABUPATEN LAMPUNG TIMUR',
                'latitude' => -5.102730,
                'longitude' => 105.680030,
            ],
            [
                'id' => 1805,
                'province_id' => 18,
                'name' => 'KABUPATEN LAMPUNG TENGAH',
                'alt_name' => 'KABUPATEN LAMPUNG TENGAH',
                'latitude' => -4.866670,
                'longitude' => 105.266670,
            ],
            [
                'id' => 1806,
                'province_id' => 18,
                'name' => 'KABUPATEN LAMPUNG UTARA',
                'alt_name' => 'KABUPATEN LAMPUNG UTARA',
                'latitude' => -4.816670,
                'longitude' => 104.800000,
            ],
            [
                'id' => 1807,
                'province_id' => 18,
                'name' => 'KABUPATEN WAY KANAN',
                'alt_name' => 'KABUPATEN WAY KANAN',
                'latitude' => -4.447050,
                'longitude' => 104.527530,
            ],
            [
                'id' => 1808,
                'province_id' => 18,
                'name' => 'KABUPATEN TULANGBAWANG',
                'alt_name' => 'KABUPATEN TULANGBAWANG',
                'latitude' => -4.206040,
                'longitude' => 105.579990,
            ],
            [
                'id' => 1809,
                'province_id' => 18,
                'name' => 'KABUPATEN PESAWARAN',
                'alt_name' => 'KABUPATEN PESAWARAN',
                'latitude' => -5.429800,
                'longitude' => 105.178990,
            ],
            [
                'id' => 1810,
                'province_id' => 18,
                'name' => 'KABUPATEN PRINGSEWU',
                'alt_name' => 'KABUPATEN PRINGSEWU',
                'latitude' => -5.422110,
                'longitude' => 104.934540,
            ],
            [
                'id' => 1811,
                'province_id' => 18,
                'name' => 'KABUPATEN MESUJI',
                'alt_name' => 'KABUPATEN MESUJI',
                'latitude' => -4.043900,
                'longitude' => 105.401300,
            ],
            [
                'id' => 1812,
                'province_id' => 18,
                'name' => 'KABUPATEN TULANG BAWANG BARAT',
                'alt_name' => 'KABUPATEN TULANG BAWANG BARAT',
                'latitude' => -4.439750,
                'longitude' => 105.044400,
            ],
            [
                'id' => 1813,
                'province_id' => 18,
                'name' => 'KABUPATEN PESISIR BARAT',
                'alt_name' => 'KABUPATEN PESISIR BARAT',
                'latitude' => -5.193230,
                'longitude' => 103.939760,
            ],
            [
                'id' => 1871,
                'province_id' => 18,
                'name' => 'KOTA BANDAR LAMPUNG',
                'alt_name' => 'KOTA BANDAR LAMPUNG',
                'latitude' => -5.416670,
                'longitude' => 105.250000,
            ],
            [
                'id' => 1872,
                'province_id' => 18,
                'name' => 'KOTA METRO',
                'alt_name' => 'KOTA METRO',
                'latitude' => -5.118560,
                'longitude' => 105.299490,
            ],
            [
                'id' => 1901,
                'province_id' => 19,
                'name' => 'KABUPATEN BANGKA',
                'alt_name' => 'KABUPATEN BANGKA',
                'latitude' => -1.916670,
                'longitude' => 105.933330,
            ],
            [
                'id' => 1902,
                'province_id' => 19,
                'name' => 'KABUPATEN BELITUNG',
                'alt_name' => 'KABUPATEN BELITUNG',
                'latitude' => -2.866670,
                'longitude' => 107.700000,
            ],
            [
                'id' => 1903,
                'province_id' => 19,
                'name' => 'KABUPATEN BANGKA BARAT',
                'alt_name' => 'KABUPATEN BANGKA BARAT',
                'latitude' => -1.958390,
                'longitude' => 105.537410,
            ],
            [
                'id' => 1904,
                'province_id' => 19,
                'name' => 'KABUPATEN BANGKA TENGAH',
                'alt_name' => 'KABUPATEN BANGKA TENGAH',
                'latitude' => -2.339890,
                'longitude' => 106.114200,
            ],
            [
                'id' => 1905,
                'province_id' => 19,
                'name' => 'KABUPATEN BANGKA SELATAN',
                'alt_name' => 'KABUPATEN BANGKA SELATAN',
                'latitude' => -2.668030,
                'longitude' => 106.012570,
            ],
            [
                'id' => 1906,
                'province_id' => 19,
                'name' => 'KABUPATEN BELITUNG TIMUR',
                'alt_name' => 'KABUPATEN BELITUNG TIMUR',
                'latitude' => -2.962700,
                'longitude' => 108.152160,
            ],
            [
                'id' => 1971,
                'province_id' => 19,
                'name' => 'KOTA PANGKAL PINANG',
                'alt_name' => 'KOTA PANGKAL PINANG',
                'latitude' => -2.133330,
                'longitude' => 106.133330,
            ],
            [
                'id' => 2101,
                'province_id' => 21,
                'name' => 'KABUPATEN KARIMUN',
                'alt_name' => 'KABUPATEN KARIMUN',
                'latitude' => 0.807640,
                'longitude' => 103.419110,
            ],
            [
                'id' => 2102,
                'province_id' => 21,
                'name' => 'KABUPATEN BINTAN',
                'alt_name' => 'KABUPATEN BINTAN',
                'latitude' => 0.950000,
                'longitude' => 104.619440,
            ],
            [
                'id' => 2103,
                'province_id' => 21,
                'name' => 'KABUPATEN NATUNA',
                'alt_name' => 'KABUPATEN NATUNA',
                'latitude' => 4.714170,
                'longitude' => 107.976390,
            ],
            [
                'id' => 2104,
                'province_id' => 21,
                'name' => 'KABUPATEN LINGGA',
                'alt_name' => 'KABUPATEN LINGGA',
                'latitude' => 0.200000,
                'longitude' => 104.616670,
            ],
            [
                'id' => 2105,
                'province_id' => 21,
                'name' => 'KABUPATEN KEPULAUAN ANAMBAS',
                'alt_name' => 'KABUPATEN KEPULAUAN ANAMBAS',
                'latitude' => 3.000000,
                'longitude' => 106.000000,
            ],
            [
                'id' => 2171,
                'province_id' => 21,
                'name' => 'KOTA BATAM',
                'alt_name' => 'KOTA BATAM',
                'latitude' => 1.052110,
                'longitude' => 104.028510,
            ],
            [
                'id' => 2172,
                'province_id' => 21,
                'name' => 'KOTA TANJUNG PINANG',
                'alt_name' => 'KOTA TANJUNG PINANG',
                'latitude' => 0.916830,
                'longitude' => 104.443290,
            ],
            [
                'id' => 3101,
                'province_id' => 31,
                'name' => 'KABUPATEN KEPULAUAN SERIBU',
                'alt_name' => 'KABUPATEN KEPULAUAN SERIBU',
                'latitude' => -5.598500,
                'longitude' => 106.552710,
            ],
            [
                'id' => 3171,
                'province_id' => 31,
                'name' => 'KOTA JAKARTA SELATAN',
                'alt_name' => 'KOTA JAKARTA SELATAN',
                'latitude' => -6.266000,
                'longitude' => 106.813500,
            ],
            [
                'id' => 3172,
                'province_id' => 31,
                'name' => 'KOTA JAKARTA TIMUR',
                'alt_name' => 'KOTA JAKARTA TIMUR',
                'latitude' => -6.252100,
                'longitude' => 106.884000,
            ],
            [
                'id' => 3173,
                'province_id' => 31,
                'name' => 'KOTA JAKARTA PUSAT',
                'alt_name' => 'KOTA JAKARTA PUSAT',
                'latitude' => -6.177700,
                'longitude' => 106.840300,
            ],
            [
                'id' => 3174,
                'province_id' => 31,
                'name' => 'KOTA JAKARTA BARAT',
                'alt_name' => 'KOTA JAKARTA BARAT',
                'latitude' => -6.167600,
                'longitude' => 106.767300,
            ],
            [
                'id' => 3175,
                'province_id' => 31,
                'name' => 'KOTA JAKARTA UTARA',
                'alt_name' => 'KOTA JAKARTA UTARA',
                'latitude' => -6.133900,
                'longitude' => 106.882300,
            ],
            [
                'id' => 3201,
                'province_id' => 32,
                'name' => 'KABUPATEN BOGOR',
                'alt_name' => 'KABUPATEN BOGOR',
                'latitude' => -6.583330,
                'longitude' => 106.716670,
            ],
            [
                'id' => 3202,
                'province_id' => 32,
                'name' => 'KABUPATEN SUKABUMI',
                'alt_name' => 'KABUPATEN SUKABUMI',
                'latitude' => -7.066670,
                'longitude' => 106.700000,
            ],
            [
                'id' => 3203,
                'province_id' => 32,
                'name' => 'KABUPATEN CIANJUR',
                'alt_name' => 'KABUPATEN CIANJUR',
                'latitude' => -6.772500,
                'longitude' => 107.083060,
            ],
            [
                'id' => 3204,
                'province_id' => 32,
                'name' => 'KABUPATEN BANDUNG',
                'alt_name' => 'KABUPATEN BANDUNG',
                'latitude' => -7.100000,
                'longitude' => 107.600000,
            ],
            [
                'id' => 3205,
                'province_id' => 32,
                'name' => 'KABUPATEN GARUT',
                'alt_name' => 'KABUPATEN GARUT',
                'latitude' => -7.383330,
                'longitude' => 107.766670,
            ],
            [
                'id' => 3206,
                'province_id' => 32,
                'name' => 'KABUPATEN TASIKMALAYA',
                'alt_name' => 'KABUPATEN TASIKMALAYA',
                'latitude' => -7.500000,
                'longitude' => 108.133330,
            ],
            [
                'id' => 3207,
                'province_id' => 32,
                'name' => 'KABUPATEN CIAMIS',
                'alt_name' => 'KABUPATEN CIAMIS',
                'latitude' => -7.283330,
                'longitude' => 108.416670,
            ],
            [
                'id' => 3208,
                'province_id' => 32,
                'name' => 'KABUPATEN KUNINGAN',
                'alt_name' => 'KABUPATEN KUNINGAN',
                'latitude' => -7.000000,
                'longitude' => 108.550000,
            ],
            [
                'id' => 3209,
                'province_id' => 32,
                'name' => 'KABUPATEN CIREBON',
                'alt_name' => 'KABUPATEN CIREBON',
                'latitude' => -6.800000,
                'longitude' => 108.566670,
            ],
            [
                'id' => 3210,
                'province_id' => 32,
                'name' => 'KABUPATEN MAJALENGKA',
                'alt_name' => 'KABUPATEN MAJALENGKA',
                'latitude' => -6.816670,
                'longitude' => 108.283330,
            ],
            [
                'id' => 3211,
                'province_id' => 32,
                'name' => 'KABUPATEN SUMEDANG',
                'alt_name' => 'KABUPATEN SUMEDANG',
                'latitude' => -6.816670,
                'longitude' => 107.983330,
            ],
            [
                'id' => 3212,
                'province_id' => 32,
                'name' => 'KABUPATEN INDRAMAYU',
                'alt_name' => 'KABUPATEN INDRAMAYU',
                'latitude' => -6.450000,
                'longitude' => 108.166670,
            ],
            [
                'id' => 3213,
                'province_id' => 32,
                'name' => 'KABUPATEN SUBANG',
                'alt_name' => 'KABUPATEN SUBANG',
                'latitude' => -6.508330,
                'longitude' => 107.702500,
            ],
            [
                'id' => 3214,
                'province_id' => 32,
                'name' => 'KABUPATEN PURWAKARTA',
                'alt_name' => 'KABUPATEN PURWAKARTA',
                'latitude' => -6.583330,
                'longitude' => 107.450000,
            ],
            [
                'id' => 3215,
                'province_id' => 32,
                'name' => 'KABUPATEN KARAWANG',
                'alt_name' => 'KABUPATEN KARAWANG',
                'latitude' => -6.266670,
                'longitude' => 107.416670,
            ],
            [
                'id' => 3216,
                'province_id' => 32,
                'name' => 'KABUPATEN BEKASI',
                'alt_name' => 'KABUPATEN BEKASI',
                'latitude' => -6.246670,
                'longitude' => 107.108330,
            ],
            [
                'id' => 3217,
                'province_id' => 32,
                'name' => 'KABUPATEN BANDUNG BARAT',
                'alt_name' => 'KABUPATEN BANDUNG BARAT',
                'latitude' => -6.833330,
                'longitude' => 107.483330,
            ],
            [
                'id' => 3218,
                'province_id' => 32,
                'name' => 'KABUPATEN PANGANDARAN',
                'alt_name' => 'KABUPATEN PANGANDARAN',
                'latitude' => -7.667300,
                'longitude' => 108.640370,
            ],
            [
                'id' => 3271,
                'province_id' => 32,
                'name' => 'KOTA BOGOR',
                'alt_name' => 'KOTA BOGOR',
                'latitude' => -6.591670,
                'longitude' => 106.800000,
            ],
            [
                'id' => 3272,
                'province_id' => 32,
                'name' => 'KOTA SUKABUMI',
                'alt_name' => 'KOTA SUKABUMI',
                'latitude' => -6.950000,
                'longitude' => 106.933330,
            ],
            [
                'id' => 3273,
                'province_id' => 32,
                'name' => 'KOTA BANDUNG',
                'alt_name' => 'KOTA BANDUNG',
                'latitude' => -6.917500,
                'longitude' => 107.624440,
            ],
            [
                'id' => 3274,
                'province_id' => 32,
                'name' => 'KOTA CIREBON',
                'alt_name' => 'KOTA CIREBON',
                'latitude' => -6.750000,
                'longitude' => 108.550000,
            ],
            [
                'id' => 3275,
                'province_id' => 32,
                'name' => 'KOTA BEKASI',
                'alt_name' => 'KOTA BEKASI',
                'latitude' => -6.283330,
                'longitude' => 106.983330,
            ],
            [
                'id' => 3276,
                'province_id' => 32,
                'name' => 'KOTA DEPOK',
                'alt_name' => 'KOTA DEPOK',
                'latitude' => -6.400000,
                'longitude' => 106.816670,
            ],
            [
                'id' => 3277,
                'province_id' => 32,
                'name' => 'KOTA CIMAHI',
                'alt_name' => 'KOTA CIMAHI',
                'latitude' => -6.891670,
                'longitude' => 107.550000,
            ],
            [
                'id' => 3278,
                'province_id' => 32,
                'name' => 'KOTA TASIKMALAYA',
                'alt_name' => 'KOTA TASIKMALAYA',
                'latitude' => -7.350000,
                'longitude' => 108.216670,
            ],
            [
                'id' => 3279,
                'province_id' => 32,
                'name' => 'KOTA BANJAR',
                'alt_name' => 'KOTA BANJAR',
                'latitude' => -7.369960,
                'longitude' => 108.532090,
            ],
            [
                'id' => 3301,
                'province_id' => 33,
                'name' => 'KABUPATEN CILACAP',
                'alt_name' => 'KABUPATEN CILACAP',
                'latitude' => -7.574170,
                'longitude' => 108.988610,
            ],
            [
                'id' => 3302,
                'province_id' => 33,
                'name' => 'KABUPATEN BANYUMAS',
                'alt_name' => 'KABUPATEN BANYUMAS',
                'latitude' => -7.450000,
                'longitude' => 109.166670,
            ],
            [
                'id' => 3303,
                'province_id' => 33,
                'name' => 'KABUPATEN PURBALINGGA',
                'alt_name' => 'KABUPATEN PURBALINGGA',
                'latitude' => -7.284170,
                'longitude' => 109.350280,
            ],
            [
                'id' => 3304,
                'province_id' => 33,
                'name' => 'KABUPATEN BANJARNEGARA',
                'alt_name' => 'KABUPATEN BANJARNEGARA',
                'latitude' => -7.351110,
                'longitude' => 109.587500,
            ],
            [
                'id' => 3305,
                'province_id' => 33,
                'name' => 'KABUPATEN KEBUMEN',
                'alt_name' => 'KABUPATEN KEBUMEN',
                'latitude' => -7.639170,
                'longitude' => 109.660560,
            ],
            [
                'id' => 3306,
                'province_id' => 33,
                'name' => 'KABUPATEN PURWOREJO',
                'alt_name' => 'KABUPATEN PURWOREJO',
                'latitude' => -7.700000,
                'longitude' => 109.966670,
            ],
            [
                'id' => 3307,
                'province_id' => 33,
                'name' => 'KABUPATEN WONOSOBO',
                'alt_name' => 'KABUPATEN WONOSOBO',
                'latitude' => -7.361390,
                'longitude' => 109.926670,
            ],
            [
                'id' => 3308,
                'province_id' => 33,
                'name' => 'KABUPATEN MAGELANG',
                'alt_name' => 'KABUPATEN MAGELANG',
                'latitude' => -7.427500,
                'longitude' => 110.161940,
            ],
            [
                'id' => 3309,
                'province_id' => 33,
                'name' => 'KABUPATEN BOYOLALI',
                'alt_name' => 'KABUPATEN BOYOLALI',
                'latitude' => -7.500000,
                'longitude' => 110.700000,
            ],
            [
                'id' => 3310,
                'province_id' => 33,
                'name' => 'KABUPATEN KLATEN',
                'alt_name' => 'KABUPATEN KLATEN',
                'latitude' => -7.683330,
                'longitude' => 110.616670,
            ],
            [
                'id' => 3311,
                'province_id' => 33,
                'name' => 'KABUPATEN SUKOHARJO',
                'alt_name' => 'KABUPATEN SUKOHARJO',
                'latitude' => -7.683330,
                'longitude' => 110.833330,
            ],
            [
                'id' => 3312,
                'province_id' => 33,
                'name' => 'KABUPATEN WONOGIRI',
                'alt_name' => 'KABUPATEN WONOGIRI',
                'latitude' => -7.916670,
                'longitude' => 111.000000,
            ],
            [
                'id' => 3313,
                'province_id' => 33,
                'name' => 'KABUPATEN KARANGANYAR',
                'alt_name' => 'KABUPATEN KARANGANYAR',
                'latitude' => -7.628060,
                'longitude' => 111.062500,
            ],
            [
                'id' => 3314,
                'province_id' => 33,
                'name' => 'KABUPATEN SRAGEN',
                'alt_name' => 'KABUPATEN SRAGEN',
                'latitude' => -7.412780,
                'longitude' => 110.935000,
            ],
            [
                'id' => 3315,
                'province_id' => 33,
                'name' => 'KABUPATEN GROBOGAN',
                'alt_name' => 'KABUPATEN GROBOGAN',
                'latitude' => -7.116670,
                'longitude' => 110.916670,
            ],
            [
                'id' => 3316,
                'province_id' => 33,
                'name' => 'KABUPATEN BLORA',
                'alt_name' => 'KABUPATEN BLORA',
                'latitude' => -7.066670,
                'longitude' => 111.383330,
            ],
            [
                'id' => 3317,
                'province_id' => 33,
                'name' => 'KABUPATEN REMBANG',
                'alt_name' => 'KABUPATEN REMBANG',
                'latitude' => -6.783330,
                'longitude' => 111.466670,
            ],
            [
                'id' => 3318,
                'province_id' => 33,
                'name' => 'KABUPATEN PATI',
                'alt_name' => 'KABUPATEN PATI',
                'latitude' => -6.766670,
                'longitude' => 111.100000,
            ],
            [
                'id' => 3319,
                'province_id' => 33,
                'name' => 'KABUPATEN KUDUS',
                'alt_name' => 'KABUPATEN KUDUS',
                'latitude' => -6.800000,
                'longitude' => 110.866670,
            ],
            [
                'id' => 3320,
                'province_id' => 33,
                'name' => 'KABUPATEN JEPARA',
                'alt_name' => 'KABUPATEN JEPARA',
                'latitude' => -6.583330,
                'longitude' => 110.766670,
            ],
            [
                'id' => 3321,
                'province_id' => 33,
                'name' => 'KABUPATEN DEMAK',
                'alt_name' => 'KABUPATEN DEMAK',
                'latitude' => -6.899300,
                'longitude' => 110.612200,
            ],
            [
                'id' => 3322,
                'province_id' => 33,
                'name' => 'KABUPATEN SEMARANG',
                'alt_name' => 'KABUPATEN SEMARANG',
                'latitude' => -7.206670,
                'longitude' => 110.441390,
            ],
            [
                'id' => 3323,
                'province_id' => 33,
                'name' => 'KABUPATEN TEMANGGUNG',
                'alt_name' => 'KABUPATEN TEMANGGUNG',
                'latitude' => -7.250000,
                'longitude' => 110.116670,
            ],
            [
                'id' => 3324,
                'province_id' => 33,
                'name' => 'KABUPATEN KENDAL',
                'alt_name' => 'KABUPATEN KENDAL',
                'latitude' => -7.025600,
                'longitude' => 110.168500,
            ],
            [
                'id' => 3325,
                'province_id' => 33,
                'name' => 'KABUPATEN BATANG',
                'alt_name' => 'KABUPATEN BATANG',
                'latitude' => -7.033330,
                'longitude' => 109.883330,
            ],
            [
                'id' => 3326,
                'province_id' => 33,
                'name' => 'KABUPATEN PEKALONGAN',
                'alt_name' => 'KABUPATEN PEKALONGAN',
                'latitude' => -7.031900,
                'longitude' => 109.624000,
            ],
            [
                'id' => 3327,
                'province_id' => 33,
                'name' => 'KABUPATEN PEMALANG',
                'alt_name' => 'KABUPATEN PEMALANG',
                'latitude' => -7.033330,
                'longitude' => 109.400000,
            ],
            [
                'id' => 3328,
                'province_id' => 33,
                'name' => 'KABUPATEN TEGAL',
                'alt_name' => 'KABUPATEN TEGAL',
                'latitude' => -7.033330,
                'longitude' => 109.166670,
            ],
            [
                'id' => 3329,
                'province_id' => 33,
                'name' => 'KABUPATEN BREBES',
                'alt_name' => 'KABUPATEN BREBES',
                'latitude' => -7.050000,
                'longitude' => 108.900000,
            ],
            [
                'id' => 3371,
                'province_id' => 33,
                'name' => 'KOTA MAGELANG',
                'alt_name' => 'KOTA MAGELANG',
                'latitude' => -7.500000,
                'longitude' => 110.225000,
            ],
            [
                'id' => 3372,
                'province_id' => 33,
                'name' => 'KOTA SURAKARTA',
                'alt_name' => 'KOTA SURAKARTA',
                'latitude' => -7.550000,
                'longitude' => 110.816670,
            ],
            [
                'id' => 3373,
                'province_id' => 33,
                'name' => 'KOTA SALATIGA',
                'alt_name' => 'KOTA SALATIGA',
                'latitude' => -7.332780,
                'longitude' => 110.483330,
            ],
            [
                'id' => 3374,
                'province_id' => 33,
                'name' => 'KOTA SEMARANG',
                'alt_name' => 'KOTA SEMARANG',
                'latitude' => -7.033330,
                'longitude' => 110.383330,
            ],
            [
                'id' => 3375,
                'province_id' => 33,
                'name' => 'KOTA PEKALONGAN',
                'alt_name' => 'KOTA PEKALONGAN',
                'latitude' => -6.900000,
                'longitude' => 109.683330,
            ],
            [
                'id' => 3376,
                'province_id' => 33,
                'name' => 'KOTA TEGAL',
                'alt_name' => 'KOTA TEGAL',
                'latitude' => -6.868600,
                'longitude' => 109.112900,
            ],
            [
                'id' => 3401,
                'province_id' => 34,
                'name' => 'KABUPATEN KULON PROGO',
                'alt_name' => 'KABUPATEN KULON PROGO',
                'latitude' => -7.645000,
                'longitude' => 110.026940,
            ],
            [
                'id' => 3402,
                'province_id' => 34,
                'name' => 'KABUPATEN BANTUL',
                'alt_name' => 'KABUPATEN BANTUL',
                'latitude' => -7.900000,
                'longitude' => 110.366670,
            ],
            [
                'id' => 3403,
                'province_id' => 34,
                'name' => 'KABUPATEN GUNUNG KIDUL',
                'alt_name' => 'KABUPATEN GUNUNG KIDUL',
                'latitude' => -7.983330,
                'longitude' => 110.616670,
            ],
            [
                'id' => 3404,
                'province_id' => 34,
                'name' => 'KABUPATEN SLEMAN',
                'alt_name' => 'KABUPATEN SLEMAN',
                'latitude' => -7.681670,
                'longitude' => 110.323330,
            ],
            [
                'id' => 3471,
                'province_id' => 34,
                'name' => 'KOTA YOGYAKARTA',
                'alt_name' => 'KOTA YOGYAKARTA',
                'latitude' => -7.800000,
                'longitude' => 110.375000,
            ],
            [
                'id' => 3501,
                'province_id' => 35,
                'name' => 'KABUPATEN PACITAN',
                'alt_name' => 'KABUPATEN PACITAN',
                'latitude' => -8.133330,
                'longitude' => 111.166670,
            ],
            [
                'id' => 3502,
                'province_id' => 35,
                'name' => 'KABUPATEN PONOROGO',
                'alt_name' => 'KABUPATEN PONOROGO',
                'latitude' => -7.933330,
                'longitude' => 111.500000,
            ],
            [
                'id' => 3503,
                'province_id' => 35,
                'name' => 'KABUPATEN TRENGGALEK',
                'alt_name' => 'KABUPATEN TRENGGALEK',
                'latitude' => -8.166670,
                'longitude' => 111.616670,
            ],
            [
                'id' => 3504,
                'province_id' => 35,
                'name' => 'KABUPATEN TULUNGAGUNG',
                'alt_name' => 'KABUPATEN TULUNGAGUNG',
                'latitude' => -8.116670,
                'longitude' => 111.916670,
            ],
            [
                'id' => 3505,
                'province_id' => 35,
                'name' => 'KABUPATEN BLITAR',
                'alt_name' => 'KABUPATEN BLITAR',
                'latitude' => -8.133330,
                'longitude' => 112.250000,
            ],
            [
                'id' => 3506,
                'province_id' => 35,
                'name' => 'KABUPATEN KEDIRI',
                'alt_name' => 'KABUPATEN KEDIRI',
                'latitude' => -7.833330,
                'longitude' => 112.166670,
            ],
            [
                'id' => 3507,
                'province_id' => 35,
                'name' => 'KABUPATEN MALANG',
                'alt_name' => 'KABUPATEN MALANG',
                'latitude' => -8.166670,
                'longitude' => 112.666670,
            ],
            [
                'id' => 3508,
                'province_id' => 35,
                'name' => 'KABUPATEN LUMAJANG',
                'alt_name' => 'KABUPATEN LUMAJANG',
                'latitude' => -8.116670,
                'longitude' => 113.150000,
            ],
            [
                'id' => 3509,
                'province_id' => 35,
                'name' => 'KABUPATEN JEMBER',
                'alt_name' => 'KABUPATEN JEMBER',
                'latitude' => -8.250000,
                'longitude' => 113.650000,
            ],
            [
                'id' => 3510,
                'province_id' => 35,
                'name' => 'KABUPATEN BANYUWANGI',
                'alt_name' => 'KABUPATEN BANYUWANGI',
                'latitude' => -8.333330,
                'longitude' => 114.200000,
            ],
            [
                'id' => 3511,
                'province_id' => 35,
                'name' => 'KABUPATEN BONDOWOSO',
                'alt_name' => 'KABUPATEN BONDOWOSO',
                'latitude' => -7.940400,
                'longitude' => 113.983400,
            ],
            [
                'id' => 3512,
                'province_id' => 35,
                'name' => 'KABUPATEN SITUBONDO',
                'alt_name' => 'KABUPATEN SITUBONDO',
                'latitude' => -7.716670,
                'longitude' => 114.050000,
            ],
            [
                'id' => 3513,
                'province_id' => 35,
                'name' => 'KABUPATEN PROBOLINGGO',
                'alt_name' => 'KABUPATEN PROBOLINGGO',
                'latitude' => -7.866670,
                'longitude' => 113.316670,
            ],
            [
                'id' => 3514,
                'province_id' => 35,
                'name' => 'KABUPATEN PASURUAN',
                'alt_name' => 'KABUPATEN PASURUAN',
                'latitude' => -7.733330,
                'longitude' => 112.833330,
            ],
            [
                'id' => 3515,
                'province_id' => 35,
                'name' => 'KABUPATEN SIDOARJO',
                'alt_name' => 'KABUPATEN SIDOARJO',
                'latitude' => -7.450000,
                'longitude' => 112.700000,
            ],
            [
                'id' => 3516,
                'province_id' => 35,
                'name' => 'KABUPATEN MOJOKERTO',
                'alt_name' => 'KABUPATEN MOJOKERTO',
                'latitude' => -7.550000,
                'longitude' => 112.500000,
            ],
            [
                'id' => 3517,
                'province_id' => 35,
                'name' => 'KABUPATEN JOMBANG',
                'alt_name' => 'KABUPATEN JOMBANG',
                'latitude' => -7.550000,
                'longitude' => 112.250000,
            ],
            [
                'id' => 3518,
                'province_id' => 35,
                'name' => 'KABUPATEN NGANJUK',
                'alt_name' => 'KABUPATEN NGANJUK',
                'latitude' => -7.600000,
                'longitude' => 111.933330,
            ],
            [
                'id' => 3519,
                'province_id' => 35,
                'name' => 'KABUPATEN MADIUN',
                'alt_name' => 'KABUPATEN MADIUN',
                'latitude' => -7.616670,
                'longitude' => 111.650000,
            ],
            [
                'id' => 3520,
                'province_id' => 35,
                'name' => 'KABUPATEN MAGETAN',
                'alt_name' => 'KABUPATEN MAGETAN',
                'latitude' => -7.644720,
                'longitude' => 111.359170,
            ],
            [
                'id' => 3521,
                'province_id' => 35,
                'name' => 'KABUPATEN NGAWI',
                'alt_name' => 'KABUPATEN NGAWI',
                'latitude' => -7.474440,
                'longitude' => 111.334440,
            ],
            [
                'id' => 3522,
                'province_id' => 35,
                'name' => 'KABUPATEN BOJONEGORO',
                'alt_name' => 'KABUPATEN BOJONEGORO',
                'latitude' => -7.250000,
                'longitude' => 111.800000,
            ],
            [
                'id' => 3523,
                'province_id' => 35,
                'name' => 'KABUPATEN TUBAN',
                'alt_name' => 'KABUPATEN TUBAN',
                'latitude' => -6.966670,
                'longitude' => 111.900000,
            ],
            [
                'id' => 3524,
                'province_id' => 35,
                'name' => 'KABUPATEN LAMONGAN',
                'alt_name' => 'KABUPATEN LAMONGAN',
                'latitude' => -7.133330,
                'longitude' => 112.316670,
            ],
            [
                'id' => 3525,
                'province_id' => 35,
                'name' => 'KABUPATEN GRESIK',
                'alt_name' => 'KABUPATEN GRESIK',
                'latitude' => -7.193300,
                'longitude' => 112.553000,
            ],
            [
                'id' => 3526,
                'province_id' => 35,
                'name' => 'KABUPATEN BANGKALAN',
                'alt_name' => 'KABUPATEN BANGKALAN',
                'latitude' => -7.050000,
                'longitude' => 112.933330,
            ],
            [
                'id' => 3527,
                'province_id' => 35,
                'name' => 'KABUPATEN SAMPANG',
                'alt_name' => 'KABUPATEN SAMPANG',
                'latitude' => -7.050000,
                'longitude' => 113.250000,
            ],
            [
                'id' => 3528,
                'province_id' => 35,
                'name' => 'KABUPATEN PAMEKASAN',
                'alt_name' => 'KABUPATEN PAMEKASAN',
                'latitude' => -7.066670,
                'longitude' => 113.500000,
            ],
            [
                'id' => 3529,
                'province_id' => 35,
                'name' => 'KABUPATEN SUMENEP',
                'alt_name' => 'KABUPATEN SUMENEP',
                'latitude' => -7.116670,
                'longitude' => 114.333330,
            ],
            [
                'id' => 3571,
                'province_id' => 35,
                'name' => 'KOTA KEDIRI',
                'alt_name' => 'KOTA KEDIRI',
                'latitude' => -7.833330,
                'longitude' => 112.016670,
            ],
            [
                'id' => 3572,
                'province_id' => 35,
                'name' => 'KOTA BLITAR',
                'alt_name' => 'KOTA BLITAR',
                'latitude' => -8.100000,
                'longitude' => 112.166670,
            ],
            [
                'id' => 3573,
                'province_id' => 35,
                'name' => 'KOTA MALANG',
                'alt_name' => 'KOTA MALANG',
                'latitude' => -7.975000,
                'longitude' => 112.633330,
            ],
            [
                'id' => 3574,
                'province_id' => 35,
                'name' => 'KOTA PROBOLINGGO',
                'alt_name' => 'KOTA PROBOLINGGO',
                'latitude' => -7.783330,
                'longitude' => 113.216670,
            ],
            [
                'id' => 3575,
                'province_id' => 35,
                'name' => 'KOTA PASURUAN',
                'alt_name' => 'KOTA PASURUAN',
                'latitude' => -7.650000,
                'longitude' => 112.900000,
            ],
            [
                'id' => 3576,
                'province_id' => 35,
                'name' => 'KOTA MOJOKERTO',
                'alt_name' => 'KOTA MOJOKERTO',
                'latitude' => -7.466670,
                'longitude' => 112.433330,
            ],
            [
                'id' => 3577,
                'province_id' => 35,
                'name' => 'KOTA MADIUN',
                'alt_name' => 'KOTA MADIUN',
                'latitude' => -7.633330,
                'longitude' => 111.533330,
            ],
            [
                'id' => 3578,
                'province_id' => 35,
                'name' => 'KOTA SURABAYA',
                'alt_name' => 'KOTA SURABAYA',
                'latitude' => -7.266670,
                'longitude' => 112.716670,
            ],
            [
                'id' => 3579,
                'province_id' => 35,
                'name' => 'KOTA BATU',
                'alt_name' => 'KOTA BATU',
                'latitude' => -7.832720,
                'longitude' => 112.537510,
            ],
            [
                'id' => 3601,
                'province_id' => 36,
                'name' => 'KABUPATEN PANDEGLANG',
                'alt_name' => 'KABUPATEN PANDEGLANG',
                'latitude' => -6.633330,
                'longitude' => 105.750000,
            ],
            [
                'id' => 3602,
                'province_id' => 36,
                'name' => 'KABUPATEN LEBAK',
                'alt_name' => 'KABUPATEN LEBAK',
                'latitude' => -6.650000,
                'longitude' => 106.216670,
            ],
            [
                'id' => 3603,
                'province_id' => 36,
                'name' => 'KABUPATEN TANGERANG',
                'alt_name' => 'KABUPATEN TANGERANG',
                'latitude' => -6.200000,
                'longitude' => 106.466670,
            ],
            [
                'id' => 3604,
                'province_id' => 36,
                'name' => 'KABUPATEN SERANG',
                'alt_name' => 'KABUPATEN SERANG',
                'latitude' => -6.150000,
                'longitude' => 106.000000,
            ],
            [
                'id' => 3671,
                'province_id' => 36,
                'name' => 'KOTA TANGERANG',
                'alt_name' => 'KOTA TANGERANG',
                'latitude' => -6.179440,
                'longitude' => 106.629910,
            ],
            [
                'id' => 3672,
                'province_id' => 36,
                'name' => 'KOTA CILEGON',
                'alt_name' => 'KOTA CILEGON',
                'latitude' => -6.016670,
                'longitude' => 106.016670,
            ],
            [
                'id' => 3673,
                'province_id' => 36,
                'name' => 'KOTA SERANG',
                'alt_name' => 'KOTA SERANG',
                'latitude' => -6.125630,
                'longitude' => 106.149990,
            ],
            [
                'id' => 3674,
                'province_id' => 36,
                'name' => 'KOTA TANGERANG SELATAN',
                'alt_name' => 'KOTA TANGERANG SELATAN',
                'latitude' => -6.293730,
                'longitude' => 106.712440,
            ],
            [
                'id' => 5101,
                'province_id' => 51,
                'name' => 'KABUPATEN JEMBRANA',
                'alt_name' => 'KABUPATEN JEMBRANA',
                'latitude' => -8.300000,
                'longitude' => 114.666670,
            ],
            [
                'id' => 5102,
                'province_id' => 51,
                'name' => 'KABUPATEN TABANAN',
                'alt_name' => 'KABUPATEN TABANAN',
                'latitude' => -8.433330,
                'longitude' => 115.066670,
            ],
            [
                'id' => 5103,
                'province_id' => 51,
                'name' => 'KABUPATEN BADUNG',
                'alt_name' => 'KABUPATEN BADUNG',
                'latitude' => -8.516670,
                'longitude' => 115.200000,
            ],
            [
                'id' => 5104,
                'province_id' => 51,
                'name' => 'KABUPATEN GIANYAR',
                'alt_name' => 'KABUPATEN GIANYAR',
                'latitude' => -8.466670,
                'longitude' => 115.283330,
            ],
            [
                'id' => 5105,
                'province_id' => 51,
                'name' => 'KABUPATEN KLUNGKUNG',
                'alt_name' => 'KABUPATEN KLUNGKUNG',
                'latitude' => -8.550000,
                'longitude' => 115.400000,
            ],
            [
                'id' => 5106,
                'province_id' => 51,
                'name' => 'KABUPATEN BANGLI',
                'alt_name' => 'KABUPATEN BANGLI',
                'latitude' => -8.283330,
                'longitude' => 115.350000,
            ],
            [
                'id' => 5107,
                'province_id' => 51,
                'name' => 'KABUPATEN KARANG ASEM',
                'alt_name' => 'KABUPATEN KARANG ASEM',
                'latitude' => -8.389100,
                'longitude' => 115.539300,
            ],
            [
                'id' => 5108,
                'province_id' => 51,
                'name' => 'KABUPATEN BULELENG',
                'alt_name' => 'KABUPATEN BULELENG',
                'latitude' => -8.250000,
                'longitude' => 114.966670,
            ],
            [
                'id' => 5171,
                'province_id' => 51,
                'name' => 'KOTA DENPASAR',
                'alt_name' => 'KOTA DENPASAR',
                'latitude' => -8.666670,
                'longitude' => 115.216630,
            ],
            [
                'id' => 5201,
                'province_id' => 52,
                'name' => 'KABUPATEN LOMBOK BARAT',
                'alt_name' => 'KABUPATEN LOMBOK BARAT',
                'latitude' => -8.695830,
                'longitude' => 116.116670,
            ],
            [
                'id' => 5202,
                'province_id' => 52,
                'name' => 'KABUPATEN LOMBOK TENGAH',
                'alt_name' => 'KABUPATEN LOMBOK TENGAH',
                'latitude' => -8.700000,
                'longitude' => 116.300000,
            ],
            [
                'id' => 5203,
                'province_id' => 52,
                'name' => 'KABUPATEN LOMBOK TIMUR',
                'alt_name' => 'KABUPATEN LOMBOK TIMUR',
                'latitude' => -8.533330,
                'longitude' => 116.533330,
            ],
            [
                'id' => 5204,
                'province_id' => 52,
                'name' => 'KABUPATEN SUMBAWA',
                'alt_name' => 'KABUPATEN SUMBAWA',
                'latitude' => -8.743900,
                'longitude' => 117.332400,
            ],
            [
                'id' => 5205,
                'province_id' => 52,
                'name' => 'KABUPATEN DOMPU',
                'alt_name' => 'KABUPATEN DOMPU',
                'latitude' => -8.509400,
                'longitude' => 118.481600,
            ],
            [
                'id' => 5206,
                'province_id' => 52,
                'name' => 'KABUPATEN BIMA',
                'alt_name' => 'KABUPATEN BIMA',
                'latitude' => -8.600000,
                'longitude' => 118.616670,
            ],
            [
                'id' => 5207,
                'province_id' => 52,
                'name' => 'KABUPATEN SUMBAWA BARAT',
                'alt_name' => 'KABUPATEN SUMBAWA BARAT',
                'latitude' => -8.751590,
                'longitude' => 116.921320,
            ],
            [
                'id' => 5208,
                'province_id' => 52,
                'name' => 'KABUPATEN LOMBOK UTARA',
                'alt_name' => 'KABUPATEN LOMBOK UTARA',
                'latitude' => -8.352140,
                'longitude' => 116.401520,
            ],
            [
                'id' => 5271,
                'province_id' => 52,
                'name' => 'KOTA MATARAM',
                'alt_name' => 'KOTA MATARAM',
                'latitude' => -8.583300,
                'longitude' => 116.116700,
            ],
            [
                'id' => 5272,
                'province_id' => 52,
                'name' => 'KOTA BIMA',
                'alt_name' => 'KOTA BIMA',
                'latitude' => -8.467280,
                'longitude' => 118.752590,
            ],
            [
                'id' => 5301,
                'province_id' => 53,
                'name' => 'KABUPATEN SUMBA BARAT',
                'alt_name' => 'KABUPATEN SUMBA BARAT',
                'latitude' => -9.566670,
                'longitude' => 119.450000,
            ],
            [
                'id' => 5302,
                'province_id' => 53,
                'name' => 'KABUPATEN SUMBA TIMUR',
                'alt_name' => 'KABUPATEN SUMBA TIMUR',
                'latitude' => -9.883330,
                'longitude' => 120.250000,
            ],
            [
                'id' => 5303,
                'province_id' => 53,
                'name' => 'KABUPATEN KUPANG',
                'alt_name' => 'KABUPATEN KUPANG',
                'latitude' => -9.916670,
                'longitude' => 123.833330,
            ],
            [
                'id' => 5304,
                'province_id' => 53,
                'name' => 'KABUPATEN TIMOR TENGAH SELATAN',
                'alt_name' => 'KABUPATEN TIMOR TENGAH SELATAN',
                'latitude' => -9.833330,
                'longitude' => 124.400000,
            ],
            [
                'id' => 5305,
                'province_id' => 53,
                'name' => 'KABUPATEN TIMOR TENGAH UTARA',
                'alt_name' => 'KABUPATEN TIMOR TENGAH UTARA',
                'latitude' => -9.331360,
                'longitude' => 124.519040,
            ],
            [
                'id' => 5306,
                'province_id' => 53,
                'name' => 'KABUPATEN BELU',
                'alt_name' => 'KABUPATEN BELU',
                'latitude' => -9.412580,
                'longitude' => 124.950660,
            ],
            [
                'id' => 5307,
                'province_id' => 53,
                'name' => 'KABUPATEN ALOR',
                'alt_name' => 'KABUPATEN ALOR',
                'latitude' => -8.300000,
                'longitude' => 124.566670,
            ],
            [
                'id' => 5308,
                'province_id' => 53,
                'name' => 'KABUPATEN LEMBATA',
                'alt_name' => 'KABUPATEN LEMBATA',
                'latitude' => -8.413960,
                'longitude' => 123.552250,
            ],
            [
                'id' => 5309,
                'province_id' => 53,
                'name' => 'KABUPATEN FLORES TIMUR',
                'alt_name' => 'KABUPATEN FLORES TIMUR',
                'latitude' => -8.242240,
                'longitude' => 122.968170,
            ],
            [
                'id' => 5310,
                'province_id' => 53,
                'name' => 'KABUPATEN SIKKA',
                'alt_name' => 'KABUPATEN SIKKA',
                'latitude' => -8.666670,
                'longitude' => 122.366670,
            ],
            [
                'id' => 5311,
                'province_id' => 53,
                'name' => 'KABUPATEN ENDE',
                'alt_name' => 'KABUPATEN ENDE',
                'latitude' => -8.840560,
                'longitude' => 121.663890,
            ],
            [
                'id' => 5312,
                'province_id' => 53,
                'name' => 'KABUPATEN NGADA',
                'alt_name' => 'KABUPATEN NGADA',
                'latitude' => -8.666670,
                'longitude' => 121.000000,
            ],
            [
                'id' => 5313,
                'province_id' => 53,
                'name' => 'KABUPATEN MANGGARAI',
                'alt_name' => 'KABUPATEN MANGGARAI',
                'latitude' => -8.566670,
                'longitude' => 120.416670,
            ],
            [
                'id' => 5314,
                'province_id' => 53,
                'name' => 'KABUPATEN ROTE NDAO',
                'alt_name' => 'KABUPATEN ROTE NDAO',
                'latitude' => -10.736170,
                'longitude' => 123.120540,
            ],
            [
                'id' => 5315,
                'province_id' => 53,
                'name' => 'KABUPATEN MANGGARAI BARAT',
                'alt_name' => 'KABUPATEN MANGGARAI BARAT',
                'latitude' => -8.644840,
                'longitude' => 119.882810,
            ],
            [
                'id' => 5316,
                'province_id' => 53,
                'name' => 'KABUPATEN SUMBA TENGAH',
                'alt_name' => 'KABUPATEN SUMBA TENGAH',
                'latitude' => -9.629410,
                'longitude' => 119.619140,
            ],
            [
                'id' => 5317,
                'province_id' => 53,
                'name' => 'KABUPATEN SUMBA BARAT DAYA',
                'alt_name' => 'KABUPATEN SUMBA BARAT DAYA',
                'latitude' => -9.562160,
                'longitude' => 119.089050,
            ],
            [
                'id' => 5318,
                'province_id' => 53,
                'name' => 'KABUPATEN NAGEKEO',
                'alt_name' => 'KABUPATEN NAGEKEO',
                'latitude' => -8.872100,
                'longitude' => 121.209630,
            ],
            [
                'id' => 5319,
                'province_id' => 53,
                'name' => 'KABUPATEN MANGGARAI TIMUR',
                'alt_name' => 'KABUPATEN MANGGARAI TIMUR',
                'latitude' => -8.555330,
                'longitude' => 120.597610,
            ],
            [
                'id' => 5320,
                'province_id' => 53,
                'name' => 'KABUPATEN SABU RAIJUA',
                'alt_name' => 'KABUPATEN SABU RAIJUA',
                'latitude' => -10.562860,
                'longitude' => 121.788940,
            ],
            [
                'id' => 5321,
                'province_id' => 53,
                'name' => 'KABUPATEN MALAKA',
                'alt_name' => 'KABUPATEN MALAKA',
                'latitude' => -9.563200,
                'longitude' => 124.894810,
            ],
            [
                'id' => 5371,
                'province_id' => 53,
                'name' => 'KOTA KUPANG',
                'alt_name' => 'KOTA KUPANG',
                'latitude' => -10.216670,
                'longitude' => 123.600000,
            ],
            [
                'id' => 6101,
                'province_id' => 61,
                'name' => 'KABUPATEN SAMBAS',
                'alt_name' => 'KABUPATEN SAMBAS',
                'latitude' => 1.416670,
                'longitude' => 109.333330,
            ],
            [
                'id' => 6102,
                'province_id' => 61,
                'name' => 'KABUPATEN BENGKAYANG',
                'alt_name' => 'KABUPATEN BENGKAYANG',
                'latitude' => 1.069110,
                'longitude' => 109.663930,
            ],
            [
                'id' => 6103,
                'province_id' => 61,
                'name' => 'KABUPATEN LANDAK',
                'alt_name' => 'KABUPATEN LANDAK',
                'latitude' => 0.423730,
                'longitude' => 109.759170,
            ],
            [
                'id' => 6104,
                'province_id' => 61,
                'name' => 'KABUPATEN MEMPAWAH',
                'alt_name' => 'KABUPATEN MEMPAWAH',
                'latitude' => 0.250000,
                'longitude' => 109.166670,
            ],
            [
                'id' => 6105,
                'province_id' => 61,
                'name' => 'KABUPATEN SANGGAU',
                'alt_name' => 'KABUPATEN SANGGAU',
                'latitude' => 0.254720,
                'longitude' => 110.450000,
            ],
            [
                'id' => 6106,
                'province_id' => 61,
                'name' => 'KABUPATEN KETAPANG',
                'alt_name' => 'KABUPATEN KETAPANG',
                'latitude' => -1.583330,
                'longitude' => 110.500000,
            ],
            [
                'id' => 6107,
                'province_id' => 61,
                'name' => 'KABUPATEN SINTANG',
                'alt_name' => 'KABUPATEN SINTANG',
                'latitude' => -0.083330,
                'longitude' => 112.083330,
            ],
            [
                'id' => 6108,
                'province_id' => 61,
                'name' => 'KABUPATEN KAPUAS HULU',
                'alt_name' => 'KABUPATEN KAPUAS HULU',
                'latitude' => 0.816670,
                'longitude' => 112.766670,
            ],
            [
                'id' => 6109,
                'province_id' => 61,
                'name' => 'KABUPATEN SEKADAU',
                'alt_name' => 'KABUPATEN SEKADAU',
                'latitude' => 0.034850,
                'longitude' => 110.950660,
            ],
            [
                'id' => 6110,
                'province_id' => 61,
                'name' => 'KABUPATEN MELAWI',
                'alt_name' => 'KABUPATEN MELAWI',
                'latitude' => -0.336170,
                'longitude' => 111.698000,
            ],
            [
                'id' => 6111,
                'province_id' => 61,
                'name' => 'KABUPATEN KAYONG UTARA',
                'alt_name' => 'KABUPATEN KAYONG UTARA',
                'latitude' => -1.437110,
                'longitude' => 110.797810,
            ],
            [
                'id' => 6112,
                'province_id' => 61,
                'name' => 'KABUPATEN KUBU RAYA',
                'alt_name' => 'KABUPATEN KUBU RAYA',
                'latitude' => 0.016370,
                'longitude' => 109.337310,
            ],
            [
                'id' => 6171,
                'province_id' => 61,
                'name' => 'KOTA PONTIANAK',
                'alt_name' => 'KOTA PONTIANAK',
                'latitude' => -0.083330,
                'longitude' => 109.366670,
            ],
            [
                'id' => 6172,
                'province_id' => 61,
                'name' => 'KOTA SINGKAWANG',
                'alt_name' => 'KOTA SINGKAWANG',
                'latitude' => 0.907340,
                'longitude' => 109.001030,
            ],
            [
                'id' => 6201,
                'province_id' => 62,
                'name' => 'KABUPATEN KOTAWARINGIN BARAT',
                'alt_name' => 'KABUPATEN KOTAWARINGIN BARAT',
                'latitude' => -2.400000,
                'longitude' => 111.733330,
            ],
            [
                'id' => 6202,
                'province_id' => 62,
                'name' => 'KABUPATEN KOTAWARINGIN TIMUR',
                'alt_name' => 'KABUPATEN KOTAWARINGIN TIMUR',
                'latitude' => -2.083330,
                'longitude' => 112.750000,
            ],
            [
                'id' => 6203,
                'province_id' => 62,
                'name' => 'KABUPATEN KAPUAS',
                'alt_name' => 'KABUPATEN KAPUAS',
                'latitude' => -2.016670,
                'longitude' => 114.383330,
            ],
            [
                'id' => 6204,
                'province_id' => 62,
                'name' => 'KABUPATEN BARITO SELATAN',
                'alt_name' => 'KABUPATEN BARITO SELATAN',
                'latitude' => -1.866670,
                'longitude' => 114.733330,
            ],
            [
                'id' => 6205,
                'province_id' => 62,
                'name' => 'KABUPATEN BARITO UTARA',
                'alt_name' => 'KABUPATEN BARITO UTARA',
                'latitude' => -0.983330,
                'longitude' => 115.100000,
            ],
            [
                'id' => 6206,
                'province_id' => 62,
                'name' => 'KABUPATEN SUKAMARA',
                'alt_name' => 'KABUPATEN SUKAMARA',
                'latitude' => -2.626750,
                'longitude' => 111.236810,
            ],
            [
                'id' => 6207,
                'province_id' => 62,
                'name' => 'KABUPATEN LAMANDAU',
                'alt_name' => 'KABUPATEN LAMANDAU',
                'latitude' => -1.838280,
                'longitude' => 111.286900,
            ],
            [
                'id' => 6208,
                'province_id' => 62,
                'name' => 'KABUPATEN SERUYAN',
                'alt_name' => 'KABUPATEN SERUYAN',
                'latitude' => -2.333330,
                'longitude' => 112.250000,
            ],
            [
                'id' => 6209,
                'province_id' => 62,
                'name' => 'KABUPATEN KATINGAN',
                'alt_name' => 'KABUPATEN KATINGAN',
                'latitude' => -2.066670,
                'longitude' => 113.400000,
            ],
            [
                'id' => 6210,
                'province_id' => 62,
                'name' => 'KABUPATEN PULANG PISAU',
                'alt_name' => 'KABUPATEN PULANG PISAU',
                'latitude' => -3.118580,
                'longitude' => 113.862300,
            ],
            [
                'id' => 6211,
                'province_id' => 62,
                'name' => 'KABUPATEN GUNUNG MAS',
                'alt_name' => 'KABUPATEN GUNUNG MAS',
                'latitude' => -0.950000,
                'longitude' => 113.500000,
            ],
            [
                'id' => 6212,
                'province_id' => 62,
                'name' => 'KABUPATEN BARITO TIMUR',
                'alt_name' => 'KABUPATEN BARITO TIMUR',
                'latitude' => -1.933330,
                'longitude' => 115.100000,
            ],
            [
                'id' => 6213,
                'province_id' => 62,
                'name' => 'KABUPATEN MURUNG RAYA',
                'alt_name' => 'KABUPATEN MURUNG RAYA',
                'latitude' => -0.016670,
                'longitude' => 114.266670,
            ],
            [
                'id' => 6271,
                'province_id' => 62,
                'name' => 'KOTA PALANGKA RAYA',
                'alt_name' => 'KOTA PALANGKA RAYA',
                'latitude' => -1.769790,
                'longitude' => 113.731260,
            ],
            [
                'id' => 6301,
                'province_id' => 63,
                'name' => 'KABUPATEN TANAH LAUT',
                'alt_name' => 'KABUPATEN TANAH LAUT',
                'latitude' => -3.883330,
                'longitude' => 114.866670,
            ],
            [
                'id' => 6302,
                'province_id' => 63,
                'name' => 'KABUPATEN KOTA BARU',
                'alt_name' => 'KABUPATEN KOTA BARU',
                'latitude' => -3.000000,
                'longitude' => 116.000000,
            ],
            [
                'id' => 6303,
                'province_id' => 63,
                'name' => 'KABUPATEN BANJAR',
                'alt_name' => 'KABUPATEN BANJAR',
                'latitude' => -3.316670,
                'longitude' => 115.083330,
            ],
            [
                'id' => 6304,
                'province_id' => 63,
                'name' => 'KABUPATEN BARITO KUALA',
                'alt_name' => 'KABUPATEN BARITO KUALA',
                'latitude' => -3.083330,
                'longitude' => 114.616670,
            ],
            [
                'id' => 6305,
                'province_id' => 63,
                'name' => 'KABUPATEN TAPIN',
                'alt_name' => 'KABUPATEN TAPIN',
                'latitude' => -2.916670,
                'longitude' => 115.033330,
            ],
            [
                'id' => 6306,
                'province_id' => 63,
                'name' => 'KABUPATEN HULU SUNGAI SELATAN',
                'alt_name' => 'KABUPATEN HULU SUNGAI SELATAN',
                'latitude' => -2.750000,
                'longitude' => 115.200000,
            ],
            [
                'id' => 6307,
                'province_id' => 63,
                'name' => 'KABUPATEN HULU SUNGAI TENGAH',
                'alt_name' => 'KABUPATEN HULU SUNGAI TENGAH',
                'latitude' => -2.616670,
                'longitude' => 115.416670,
            ],
            [
                'id' => 6308,
                'province_id' => 63,
                'name' => 'KABUPATEN HULU SUNGAI UTARA',
                'alt_name' => 'KABUPATEN HULU SUNGAI UTARA',
                'latitude' => -2.450000,
                'longitude' => 115.133330,
            ],
            [
                'id' => 6309,
                'province_id' => 63,
                'name' => 'KABUPATEN TABALONG',
                'alt_name' => 'KABUPATEN TABALONG',
                'latitude' => -1.883330,
                'longitude' => 115.500000,
            ],
            [
                'id' => 6310,
                'province_id' => 63,
                'name' => 'KABUPATEN TANAH BUMBU',
                'alt_name' => 'KABUPATEN TANAH BUMBU',
                'latitude' => -3.454130,
                'longitude' => 115.703720,
            ],
            [
                'id' => 6311,
                'province_id' => 63,
                'name' => 'KABUPATEN BALANGAN',
                'alt_name' => 'KABUPATEN BALANGAN',
                'latitude' => -2.323140,
                'longitude' => 115.629220,
            ],
            [
                'id' => 6371,
                'province_id' => 63,
                'name' => 'KOTA BANJARMASIN',
                'alt_name' => 'KOTA BANJARMASIN',
                'latitude' => -3.324440,
                'longitude' => 114.591020,
            ],
            [
                'id' => 6372,
                'province_id' => 63,
                'name' => 'KOTA BANJAR BARU',
                'alt_name' => 'KOTA BANJAR BARU',
                'latitude' => -3.416670,
                'longitude' => 114.833330,
            ],
            [
                'id' => 6401,
                'province_id' => 64,
                'name' => 'KABUPATEN PASER',
                'alt_name' => 'KABUPATEN PASER',
                'latitude' => -1.435170,
                'longitude' => 116.235350,
            ],
            [
                'id' => 6402,
                'province_id' => 64,
                'name' => 'KABUPATEN KUTAI BARAT',
                'alt_name' => 'KABUPATEN KUTAI BARAT',
                'latitude' => -0.594170,
                'longitude' => 115.515750,
            ],
            [
                'id' => 6403,
                'province_id' => 64,
                'name' => 'KABUPATEN KUTAI KARTANEGARA',
                'alt_name' => 'KABUPATEN KUTAI KARTANEGARA',
                'latitude' => -0.440190,
                'longitude' => 116.981390,
            ],
            [
                'id' => 6404,
                'province_id' => 64,
                'name' => 'KABUPATEN KUTAI TIMUR',
                'alt_name' => 'KABUPATEN KUTAI TIMUR',
                'latitude' => 1.037690,
                'longitude' => 117.831120,
            ],
            [
                'id' => 6405,
                'province_id' => 64,
                'name' => 'KABUPATEN BERAU',
                'alt_name' => 'KABUPATEN BERAU',
                'latitude' => 2.000000,
                'longitude' => 117.300000,
            ],
            [
                'id' => 6409,
                'province_id' => 64,
                'name' => 'KABUPATEN PENAJAM PASER UTARA',
                'alt_name' => 'KABUPATEN PENAJAM PASER UTARA',
                'latitude' => -1.250000,
                'longitude' => 116.833330,
            ],
            [
                'id' => 6411,
                'province_id' => 64,
                'name' => 'KABUPATEN MAHAKAM HULU',
                'alt_name' => 'KABUPATEN MAHAKAM HULU',
                'latitude' => 0.378220,
                'longitude' => 115.380480,
            ],
            [
                'id' => 6471,
                'province_id' => 64,
                'name' => 'KOTA BALIKPAPAN',
                'alt_name' => 'KOTA BALIKPAPAN',
                'latitude' => -1.166670,
                'longitude' => 116.883330,
            ],
            [
                'id' => 6472,
                'province_id' => 64,
                'name' => 'KOTA SAMARINDA',
                'alt_name' => 'KOTA SAMARINDA',
                'latitude' => -0.433330,
                'longitude' => 117.183330,
            ],
            [
                'id' => 6474,
                'province_id' => 64,
                'name' => 'KOTA BONTANG',
                'alt_name' => 'KOTA BONTANG',
                'latitude' => 0.125260,
                'longitude' => 117.496030,
            ],
            [
                'id' => 6501,
                'province_id' => 65,
                'name' => 'KABUPATEN MALINAU',
                'alt_name' => 'KABUPATEN MALINAU',
                'latitude' => 2.450000,
                'longitude' => 115.683330,
            ],
            [
                'id' => 6502,
                'province_id' => 65,
                'name' => 'KABUPATEN BULUNGAN',
                'alt_name' => 'KABUPATEN BULUNGAN',
                'latitude' => 3.000000,
                'longitude' => 117.166670,
            ],
            [
                'id' => 6503,
                'province_id' => 65,
                'name' => 'KABUPATEN TANA TIDUNG',
                'alt_name' => 'KABUPATEN TANA TIDUNG',
                'latitude' => 3.550000,
                'longitude' => 117.250000,
            ],
            [
                'id' => 6504,
                'province_id' => 65,
                'name' => 'KABUPATEN NUNUKAN',
                'alt_name' => 'KABUPATEN NUNUKAN',
                'latitude' => 4.133330,
                'longitude' => 116.700000,
            ],
            [
                'id' => 6571,
                'province_id' => 65,
                'name' => 'KOTA TARAKAN',
                'alt_name' => 'KOTA TARAKAN',
                'latitude' => 3.366670,
                'longitude' => 117.600000,
            ],
            [
                'id' => 7101,
                'province_id' => 71,
                'name' => 'KABUPATEN BOLAANG MONGONDOW',
                'alt_name' => 'KABUPATEN BOLAANG MONGONDOW',
                'latitude' => 0.750000,
                'longitude' => 124.083330,
            ],
            [
                'id' => 7102,
                'province_id' => 71,
                'name' => 'KABUPATEN MINAHASA',
                'alt_name' => 'KABUPATEN MINAHASA',
                'latitude' => 1.253700,
                'longitude' => 124.830000,
            ],
            [
                'id' => 7103,
                'province_id' => 71,
                'name' => 'KABUPATEN KEPULAUAN SANGIHE',
                'alt_name' => 'KABUPATEN KEPULAUAN SANGIHE',
                'latitude' => 3.500000,
                'longitude' => 125.550000,
            ],
            [
                'id' => 7104,
                'province_id' => 71,
                'name' => 'KABUPATEN KEPULAUAN TALAUD',
                'alt_name' => 'KABUPATEN KEPULAUAN TALAUD',
                'latitude' => 4.311780,
                'longitude' => 126.780850,
            ],
            [
                'id' => 7105,
                'province_id' => 71,
                'name' => 'KABUPATEN MINAHASA SELATAN',
                'alt_name' => 'KABUPATEN MINAHASA SELATAN',
                'latitude' => 1.212910,
                'longitude' => 124.597080,
            ],
            [
                'id' => 7106,
                'province_id' => 71,
                'name' => 'KABUPATEN MINAHASA UTARA',
                'alt_name' => 'KABUPATEN MINAHASA UTARA',
                'latitude' => 1.402500,
                'longitude' => 124.960000,
            ],
            [
                'id' => 7107,
                'province_id' => 71,
                'name' => 'KABUPATEN BOLAANG MONGONDOW UTARA',
                'alt_name' => 'KABUPATEN BOLAANG MONGONDOW UTARA',
                'latitude' => 0.785270,
                'longitude' => 123.417660,
            ],
            [
                'id' => 7108,
                'province_id' => 71,
                'name' => 'KABUPATEN SIAU TAGULANDANG BIARO',
                'alt_name' => 'KABUPATEN SIAU TAGULANDANG BIARO',
                'latitude' => 2.117280,
                'longitude' => 125.375120,
            ],
            [
                'id' => 7109,
                'province_id' => 71,
                'name' => 'KABUPATEN MINAHASA TENGGARA',
                'alt_name' => 'KABUPATEN MINAHASA TENGGARA',
                'latitude' => 1.056330,
                'longitude' => 124.792500,
            ],
            [
                'id' => 7110,
                'province_id' => 71,
                'name' => 'KABUPATEN BOLAANG MONGONDOW SELATAN',
                'alt_name' => 'KABUPATEN BOLAANG MONGONDOW SELATAN',
                'latitude' => 0.409120,
                'longitude' => 123.759610,
            ],
            [
                'id' => 7111,
                'province_id' => 71,
                'name' => 'KABUPATEN BOLAANG MONGONDOW TIMUR',
                'alt_name' => 'KABUPATEN BOLAANG MONGONDOW TIMUR',
                'latitude' => 0.720730,
                'longitude' => 124.502560,
            ],
            [
                'id' => 7171,
                'province_id' => 71,
                'name' => 'KOTA MANADO',
                'alt_name' => 'KOTA MANADO',
                'latitude' => 1.516670,
                'longitude' => 124.883330,
            ],
            [
                'id' => 7172,
                'province_id' => 71,
                'name' => 'KOTA BITUNG',
                'alt_name' => 'KOTA BITUNG',
                'latitude' => 1.483330,
                'longitude' => 125.150000,
            ],
            [
                'id' => 7173,
                'province_id' => 71,
                'name' => 'KOTA TOMOHON',
                'alt_name' => 'KOTA TOMOHON',
                'latitude' => 1.313070,
                'longitude' => 124.834040,
            ],
            [
                'id' => 7174,
                'province_id' => 71,
                'name' => 'KOTA KOTAMOBAGU',
                'alt_name' => 'KOTA KOTAMOBAGU',
                'latitude' => 0.689150,
                'longitude' => 124.326780,
            ],
            [
                'id' => 7201,
                'province_id' => 72,
                'name' => 'KABUPATEN BANGGAI KEPULAUAN',
                'alt_name' => 'KABUPATEN BANGGAI KEPULAUAN',
                'latitude' => -1.642400,
                'longitude' => 123.548810,
            ],
            [
                'id' => 7202,
                'province_id' => 72,
                'name' => 'KABUPATEN BANGGAI',
                'alt_name' => 'KABUPATEN BANGGAI',
                'latitude' => -1.283500,
                'longitude' => 122.889200,
            ],
            [
                'id' => 7203,
                'province_id' => 72,
                'name' => 'KABUPATEN MOROWALI',
                'alt_name' => 'KABUPATEN MOROWALI',
                'latitude' => -1.893420,
                'longitude' => 121.254730,
            ],
            [
                'id' => 7204,
                'province_id' => 72,
                'name' => 'KABUPATEN POSO',
                'alt_name' => 'KABUPATEN POSO',
                'latitude' => -1.650000,
                'longitude' => 120.500000,
            ],
            [
                'id' => 7205,
                'province_id' => 72,
                'name' => 'KABUPATEN DONGGALA',
                'alt_name' => 'KABUPATEN DONGGALA',
                'latitude' => -0.583330,
                'longitude' => 119.850000,
            ],
            [
                'id' => 7206,
                'province_id' => 72,
                'name' => 'KABUPATEN TOLI-TOLI',
                'alt_name' => 'KABUPATEN TOLI-TOLI',
                'latitude' => 1.308620,
                'longitude' => 120.886430,
            ],
            [
                'id' => 7207,
                'province_id' => 72,
                'name' => 'KABUPATEN BUOL',
                'alt_name' => 'KABUPATEN BUOL',
                'latitude' => 0.750000,
                'longitude' => 120.750000,
            ],
            [
                'id' => 7208,
                'province_id' => 72,
                'name' => 'KABUPATEN PARIGI MOUTONG',
                'alt_name' => 'KABUPATEN PARIGI MOUTONG',
                'latitude' => 0.336800,
                'longitude' => 120.178410,
            ],
            [
                'id' => 7209,
                'province_id' => 72,
                'name' => 'KABUPATEN TOJO UNA-UNA',
                'alt_name' => 'KABUPATEN TOJO UNA-UNA',
                'latitude' => -1.203600,
                'longitude' => 121.482010,
            ],
            [
                'id' => 7210,
                'province_id' => 72,
                'name' => 'KABUPATEN SIGI',
                'alt_name' => 'KABUPATEN SIGI',
                'latitude' => -1.385000,
                'longitude' => 119.966940,
            ],
            [
                'id' => 7211,
                'province_id' => 72,
                'name' => 'KABUPATEN BANGGAI LAUT',
                'alt_name' => 'KABUPATEN BANGGAI LAUT',
                'latitude' => -1.618410,
                'longitude' => 123.493880,
            ],
            [
                'id' => 7212,
                'province_id' => 72,
                'name' => 'KABUPATEN MOROWALI UTARA',
                'alt_name' => 'KABUPATEN MOROWALI UTARA',
                'latitude' => -1.720700,
                'longitude' => 121.246490,
            ],
            [
                'id' => 7271,
                'province_id' => 72,
                'name' => 'KOTA PALU',
                'alt_name' => 'KOTA PALU',
                'latitude' => -0.869720,
                'longitude' => 119.900000,
            ],
            [
                'id' => 7301,
                'province_id' => 73,
                'name' => 'KABUPATEN KEPULAUAN SELAYAR',
                'alt_name' => 'KABUPATEN KEPULAUAN SELAYAR',
                'latitude' => -6.816670,
                'longitude' => 120.800000,
            ],
            [
                'id' => 7302,
                'province_id' => 73,
                'name' => 'KABUPATEN BULUKUMBA',
                'alt_name' => 'KABUPATEN BULUKUMBA',
                'latitude' => -5.416670,
                'longitude' => 120.233330,
            ],
            [
                'id' => 7303,
                'province_id' => 73,
                'name' => 'KABUPATEN BANTAENG',
                'alt_name' => 'KABUPATEN BANTAENG',
                'latitude' => -5.483330,
                'longitude' => 119.983330,
            ],
            [
                'id' => 7304,
                'province_id' => 73,
                'name' => 'KABUPATEN JENEPONTO',
                'alt_name' => 'KABUPATEN JENEPONTO',
                'latitude' => -5.633330,
                'longitude' => 119.733330,
            ],
            [
                'id' => 7305,
                'province_id' => 73,
                'name' => 'KABUPATEN TAKALAR',
                'alt_name' => 'KABUPATEN TAKALAR',
                'latitude' => -5.416670,
                'longitude' => 119.516670,
            ],
            [
                'id' => 7306,
                'province_id' => 73,
                'name' => 'KABUPATEN GOWA',
                'alt_name' => 'KABUPATEN GOWA',
                'latitude' => -5.316670,
                'longitude' => 119.750000,
            ],
            [
                'id' => 7307,
                'province_id' => 73,
                'name' => 'KABUPATEN SINJAI',
                'alt_name' => 'KABUPATEN SINJAI',
                'latitude' => -5.216670,
                'longitude' => 120.150000,
            ],
            [
                'id' => 7308,
                'province_id' => 73,
                'name' => 'KABUPATEN MAROS',
                'alt_name' => 'KABUPATEN MAROS',
                'latitude' => -5.050000,
                'longitude' => 119.716670,
            ],
            [
                'id' => 7309,
                'province_id' => 73,
                'name' => 'KABUPATEN PANGKAJENE DAN KEPULAUAN',
                'alt_name' => 'KABUPATEN PANGKAJENE DAN KEPULAUAN',
                'latitude' => -4.782700,
                'longitude' => 119.550600,
            ],
            [
                'id' => 7310,
                'province_id' => 73,
                'name' => 'KABUPATEN BARRU',
                'alt_name' => 'KABUPATEN BARRU',
                'latitude' => -4.433330,
                'longitude' => 119.683330,
            ],
            [
                'id' => 7311,
                'province_id' => 73,
                'name' => 'KABUPATEN BONE',
                'alt_name' => 'KABUPATEN BONE',
                'latitude' => -4.700000,
                'longitude' => 120.133330,
            ],
            [
                'id' => 7312,
                'province_id' => 73,
                'name' => 'KABUPATEN SOPPENG',
                'alt_name' => 'KABUPATEN SOPPENG',
                'latitude' => -4.384200,
                'longitude' => 119.890000,
            ],
            [
                'id' => 7313,
                'province_id' => 73,
                'name' => 'KABUPATEN WAJO',
                'alt_name' => 'KABUPATEN WAJO',
                'latitude' => -4.000000,
                'longitude' => 120.166670,
            ],
            [
                'id' => 7314,
                'province_id' => 73,
                'name' => 'KABUPATEN SIDENRENG RAPPANG',
                'alt_name' => 'KABUPATEN SIDENRENG RAPPANG',
                'latitude' => -3.850000,
                'longitude' => 119.966670,
            ],
            [
                'id' => 7315,
                'province_id' => 73,
                'name' => 'KABUPATEN PINRANG',
                'alt_name' => 'KABUPATEN PINRANG',
                'latitude' => -3.616670,
                'longitude' => 119.600000,
            ],
            [
                'id' => 7316,
                'province_id' => 73,
                'name' => 'KABUPATEN ENREKANG',
                'alt_name' => 'KABUPATEN ENREKANG',
                'latitude' => -3.500000,
                'longitude' => 119.866670,
            ],
            [
                'id' => 7317,
                'province_id' => 73,
                'name' => 'KABUPATEN LUWU',
                'alt_name' => 'KABUPATEN LUWU',
                'latitude' => -2.557700,
                'longitude' => 121.324200,
            ],
            [
                'id' => 7318,
                'province_id' => 73,
                'name' => 'KABUPATEN TANA TORAJA',
                'alt_name' => 'KABUPATEN TANA TORAJA',
                'latitude' => -3.002400,
                'longitude' => 119.796550,
            ],
            [
                'id' => 7322,
                'province_id' => 73,
                'name' => 'KABUPATEN LUWU UTARA',
                'alt_name' => 'KABUPATEN LUWU UTARA',
                'latitude' => -2.600000,
                'longitude' => 120.250000,
            ],
            [
                'id' => 7325,
                'province_id' => 73,
                'name' => 'KABUPATEN LUWU TIMUR',
                'alt_name' => 'KABUPATEN LUWU TIMUR',
                'latitude' => -2.509570,
                'longitude' => 120.397800,
            ],
            [
                'id' => 7326,
                'province_id' => 73,
                'name' => 'KABUPATEN TORAJA UTARA',
                'alt_name' => 'KABUPATEN TORAJA UTARA',
                'latitude' => -2.927380,
                'longitude' => 119.792180,
            ],
            [
                'id' => 7371,
                'province_id' => 73,
                'name' => 'KOTA MAKASSAR',
                'alt_name' => 'KOTA MAKASSAR',
                'latitude' => -5.150000,
                'longitude' => 119.450000,
            ],
            [
                'id' => 7372,
                'province_id' => 73,
                'name' => 'KOTA PARE-PARE',
                'alt_name' => 'KOTA PARE-PARE',
                'latitude' => -4.033330,
                'longitude' => 119.650000,
            ],
            [
                'id' => 7373,
                'province_id' => 73,
                'name' => 'KOTA PALOPO',
                'alt_name' => 'KOTA PALOPO',
                'latitude' => -2.978410,
                'longitude' => 120.110780,
            ],
            [
                'id' => 7401,
                'province_id' => 74,
                'name' => 'KABUPATEN BUTON',
                'alt_name' => 'KABUPATEN BUTON',
                'latitude' => -5.316670,
                'longitude' => 122.583330,
            ],
            [
                'id' => 7402,
                'province_id' => 74,
                'name' => 'KABUPATEN MUNA',
                'alt_name' => 'KABUPATEN MUNA',
                'latitude' => -4.966670,
                'longitude' => 122.666670,
            ],
            [
                'id' => 7403,
                'province_id' => 74,
                'name' => 'KABUPATEN KONAWE',
                'alt_name' => 'KABUPATEN KONAWE',
                'latitude' => -3.917170,
                'longitude' => 122.088230,
            ],
            [
                'id' => 7404,
                'province_id' => 74,
                'name' => 'KABUPATEN KOLAKA',
                'alt_name' => 'KABUPATEN KOLAKA',
                'latitude' => -4.083330,
                'longitude' => 121.666670,
            ],
            [
                'id' => 7405,
                'province_id' => 74,
                'name' => 'KABUPATEN KONAWE SELATAN',
                'alt_name' => 'KABUPATEN KONAWE SELATAN',
                'latitude' => -4.191910,
                'longitude' => 122.448540,
            ],
            [
                'id' => 7406,
                'province_id' => 74,
                'name' => 'KABUPATEN BOMBANA',
                'alt_name' => 'KABUPATEN BOMBANA',
                'latitude' => -4.625700,
                'longitude' => 121.816410,
            ],
            [
                'id' => 7407,
                'province_id' => 74,
                'name' => 'KABUPATEN WAKATOBI',
                'alt_name' => 'KABUPATEN WAKATOBI',
                'latitude' => -5.319340,
                'longitude' => 123.594800,
            ],
            [
                'id' => 7408,
                'province_id' => 74,
                'name' => 'KABUPATEN KOLAKA UTARA',
                'alt_name' => 'KABUPATEN KOLAKA UTARA',
                'latitude' => -3.104520,
                'longitude' => 121.124270,
            ],
            [
                'id' => 7409,
                'province_id' => 74,
                'name' => 'KABUPATEN BUTON UTARA',
                'alt_name' => 'KABUPATEN BUTON UTARA',
                'latitude' => -5.014570,
                'longitude' => 122.930150,
            ],
            [
                'id' => 7410,
                'province_id' => 74,
                'name' => 'KABUPATEN KONAWE UTARA',
                'alt_name' => 'KABUPATEN KONAWE UTARA',
                'latitude' => -3.415520,
                'longitude' => 121.990810,
            ],
            [
                'id' => 7411,
                'province_id' => 74,
                'name' => 'KABUPATEN KOLAKA TIMUR',
                'alt_name' => 'KABUPATEN KOLAKA TIMUR',
                'latitude' => -4.018070,
                'longitude' => 121.861720,
            ],
            [
                'id' => 7412,
                'province_id' => 74,
                'name' => 'KABUPATEN KONAWE KEPULAUAN',
                'alt_name' => 'KABUPATEN KONAWE KEPULAUAN',
                'latitude' => -4.116560,
                'longitude' => 123.101810,
            ],
            [
                'id' => 7413,
                'province_id' => 74,
                'name' => 'KABUPATEN MUNA BARAT',
                'alt_name' => 'KABUPATEN MUNA BARAT',
                'latitude' => -4.833330,
                'longitude' => 122.483330,
            ],
            [
                'id' => 7414,
                'province_id' => 74,
                'name' => 'KABUPATEN BUTON TENGAH',
                'alt_name' => 'KABUPATEN BUTON TENGAH',
                'latitude' => -5.316670,
                'longitude' => 122.333330,
            ],
            [
                'id' => 7415,
                'province_id' => 74,
                'name' => 'KABUPATEN BUTON SELATAN',
                'alt_name' => 'KABUPATEN BUTON SELATAN',
                'latitude' => -5.566670,
                'longitude' => 122.700000,
            ],
            [
                'id' => 7471,
                'province_id' => 74,
                'name' => 'KOTA KENDARI',
                'alt_name' => 'KOTA KENDARI',
                'latitude' => -3.983330,
                'longitude' => 122.500000,
            ],
            [
                'id' => 7472,
                'province_id' => 74,
                'name' => 'KOTA BAUBAU',
                'alt_name' => 'KOTA BAUBAU',
                'latitude' => -5.477000,
                'longitude' => 122.616600,
            ],
            [
                'id' => 7501,
                'province_id' => 75,
                'name' => 'KABUPATEN BOALEMO',
                'alt_name' => 'KABUPATEN BOALEMO',
                'latitude' => 0.626890,
                'longitude' => 122.356800,
            ],
            [
                'id' => 7502,
                'province_id' => 75,
                'name' => 'KABUPATEN GORONTALO',
                'alt_name' => 'KABUPATEN GORONTALO',
                'latitude' => 0.572800,
                'longitude' => 122.233700,
            ],
            [
                'id' => 7503,
                'province_id' => 75,
                'name' => 'KABUPATEN POHUWATO',
                'alt_name' => 'KABUPATEN POHUWATO',
                'latitude' => 0.709800,
                'longitude' => 121.595820,
            ],
            [
                'id' => 7504,
                'province_id' => 75,
                'name' => 'KABUPATEN BONE BOLANGO',
                'alt_name' => 'KABUPATEN BONE BOLANGO',
                'latitude' => 0.502960,
                'longitude' => 123.275010,
            ],
            [
                'id' => 7505,
                'province_id' => 75,
                'name' => 'KABUPATEN GORONTALO UTARA',
                'alt_name' => 'KABUPATEN GORONTALO UTARA',
                'latitude' => 0.770000,
                'longitude' => 122.316670,
            ],
            [
                'id' => 7571,
                'province_id' => 75,
                'name' => 'KOTA GORONTALO',
                'alt_name' => 'KOTA GORONTALO',
                'latitude' => 0.533330,
                'longitude' => 123.100000,
            ],
            [
                'id' => 7601,
                'province_id' => 76,
                'name' => 'KABUPATEN MAJENE',
                'alt_name' => 'KABUPATEN MAJENE',
                'latitude' => -3.150000,
                'longitude' => 118.866670,
            ],
            [
                'id' => 7602,
                'province_id' => 76,
                'name' => 'KABUPATEN POLEWALI MANDAR',
                'alt_name' => 'KABUPATEN POLEWALI MANDAR',
                'latitude' => -3.300000,
                'longitude' => 119.166670,
            ],
            [
                'id' => 7603,
                'province_id' => 76,
                'name' => 'KABUPATEN MAMASA',
                'alt_name' => 'KABUPATEN MAMASA',
                'latitude' => -2.964920,
                'longitude' => 119.306310,
            ],
            [
                'id' => 7604,
                'province_id' => 76,
                'name' => 'KABUPATEN MAMUJU',
                'alt_name' => 'KABUPATEN MAMUJU',
                'latitude' => -2.500000,
                'longitude' => 119.416670,
            ],
            [
                'id' => 7605,
                'province_id' => 76,
                'name' => 'KABUPATEN MAMUJU UTARA',
                'alt_name' => 'KABUPATEN MAMUJU UTARA',
                'latitude' => -1.516390,
                'longitude' => 119.421390,
            ],
            [
                'id' => 7606,
                'province_id' => 76,
                'name' => 'KABUPATEN MAMUJU TENGAH',
                'alt_name' => 'KABUPATEN MAMUJU TENGAH',
                'latitude' => -2.821200,
                'longitude' => 119.266200,
            ],
            [
                'id' => 8101,
                'province_id' => 81,
                'name' => 'KABUPATEN MALUKU TENGGARA BARAT',
                'alt_name' => 'KABUPATEN MALUKU TENGGARA BARAT',
                'latitude' => -7.611860,
                'longitude' => 131.380000,
            ],
            [
                'id' => 8102,
                'province_id' => 81,
                'name' => 'KABUPATEN MALUKU TENGGARA',
                'alt_name' => 'KABUPATEN MALUKU TENGGARA',
                'latitude' => -5.750000,
                'longitude' => 132.733340,
            ],
            [
                'id' => 8103,
                'province_id' => 81,
                'name' => 'KABUPATEN MALUKU TENGAH',
                'alt_name' => 'KABUPATEN MALUKU TENGAH',
                'latitude' => -3.291670,
                'longitude' => 128.967500,
            ],
            [
                'id' => 8104,
                'province_id' => 81,
                'name' => 'KABUPATEN BURU',
                'alt_name' => 'KABUPATEN BURU',
                'latitude' => -3.327670,
                'longitude' => 126.684130,
            ],
            [
                'id' => 8105,
                'province_id' => 81,
                'name' => 'KABUPATEN KEPULAUAN ARU',
                'alt_name' => 'KABUPATEN KEPULAUAN ARU',
                'latitude' => -6.170590,
                'longitude' => 134.469910,
            ],
            [
                'id' => 8106,
                'province_id' => 81,
                'name' => 'KABUPATEN SERAM BAGIAN BARAT',
                'alt_name' => 'KABUPATEN SERAM BAGIAN BARAT',
                'latitude' => -3.102700,
                'longitude' => 128.429960,
            ],
            [
                'id' => 8107,
                'province_id' => 81,
                'name' => 'KABUPATEN SERAM BAGIAN TIMUR',
                'alt_name' => 'KABUPATEN SERAM BAGIAN TIMUR',
                'latitude' => -3.398510,
                'longitude' => 130.391660,
            ],
            [
                'id' => 8108,
                'province_id' => 81,
                'name' => 'KABUPATEN MALUKU BARAT DAYA',
                'alt_name' => 'KABUPATEN MALUKU BARAT DAYA',
                'latitude' => -7.829600,
                'longitude' => 126.173860,
            ],
            [
                'id' => 8109,
                'province_id' => 81,
                'name' => 'KABUPATEN BURU SELATAN',
                'alt_name' => 'KABUPATEN BURU SELATAN',
                'latitude' => -3.521870,
                'longitude' => 126.592710,
            ],
            [
                'id' => 8171,
                'province_id' => 81,
                'name' => 'KOTA AMBON',
                'alt_name' => 'KOTA AMBON',
                'latitude' => -3.700000,
                'longitude' => 128.183330,
            ],
            [
                'id' => 8172,
                'province_id' => 81,
                'name' => 'KOTA TUAL',
                'alt_name' => 'KOTA TUAL',
                'latitude' => -5.643010,
                'longitude' => 132.749340,
            ],
            [
                'id' => 8201,
                'province_id' => 82,
                'name' => 'KABUPATEN HALMAHERA BARAT',
                'alt_name' => 'KABUPATEN HALMAHERA BARAT',
                'latitude' => 1.417090,
                'longitude' => 127.552640,
            ],
            [
                'id' => 8202,
                'province_id' => 82,
                'name' => 'KABUPATEN HALMAHERA TENGAH',
                'alt_name' => 'KABUPATEN HALMAHERA TENGAH',
                'latitude' => 0.480560,
                'longitude' => 128.250000,
            ],
            [
                'id' => 8203,
                'province_id' => 82,
                'name' => 'KABUPATEN KEPULAUAN SULA',
                'alt_name' => 'KABUPATEN KEPULAUAN SULA',
                'latitude' => -1.864600,
                'longitude' => 125.690460,
            ],
            [
                'id' => 8204,
                'province_id' => 82,
                'name' => 'KABUPATEN HALMAHERA SELATAN',
                'alt_name' => 'KABUPATEN HALMAHERA SELATAN',
                'latitude' => -0.395500,
                'longitude' => 127.908330,
            ],
            [
                'id' => 8205,
                'province_id' => 82,
                'name' => 'KABUPATEN HALMAHERA UTARA',
                'alt_name' => 'KABUPATEN HALMAHERA UTARA',
                'latitude' => 1.731940,
                'longitude' => 128.007780,
            ],
            [
                'id' => 8206,
                'province_id' => 82,
                'name' => 'KABUPATEN HALMAHERA TIMUR',
                'alt_name' => 'KABUPATEN HALMAHERA TIMUR',
                'latitude' => 1.335170,
                'longitude' => 128.486270,
            ],
            [
                'id' => 8207,
                'province_id' => 82,
                'name' => 'KABUPATEN PULAU MOROTAI',
                'alt_name' => 'KABUPATEN PULAU MOROTAI',
                'latitude' => 2.199240,
                'longitude' => 128.405460,
            ],
            [
                'id' => 8208,
                'province_id' => 82,
                'name' => 'KABUPATEN PULAU TALIABU',
                'alt_name' => 'KABUPATEN PULAU TALIABU',
                'latitude' => -1.845780,
                'longitude' => 124.789920,
            ],
            [
                'id' => 8271,
                'province_id' => 82,
                'name' => 'KOTA TERNATE',
                'alt_name' => 'KOTA TERNATE',
                'latitude' => 0.896180,
                'longitude' => 127.310160,
            ],
            [
                'id' => 8272,
                'province_id' => 82,
                'name' => 'KOTA TIDORE KEPULAUAN',
                'alt_name' => 'KOTA TIDORE KEPULAUAN',
                'latitude' => 0.609620,
                'longitude' => 127.569810,
            ],
            [
                'id' => 9101,
                'province_id' => 91,
                'name' => 'KABUPATEN FAK-FAK',
                'alt_name' => 'KABUPATEN FAK-FAK',
                'latitude' => -2.926410,
                'longitude' => 132.296080,
            ],
            [
                'id' => 9102,
                'province_id' => 91,
                'name' => 'KABUPATEN KAIMANA',
                'alt_name' => 'KABUPATEN KAIMANA',
                'latitude' => -3.660930,
                'longitude' => 133.774510,
            ],
            [
                'id' => 9103,
                'province_id' => 91,
                'name' => 'KABUPATEN TELUK WONDAMA',
                'alt_name' => 'KABUPATEN TELUK WONDAMA',
                'latitude' => -2.700000,
                'longitude' => 134.500000,
            ],
            [
                'id' => 9104,
                'province_id' => 91,
                'name' => 'KABUPATEN TELUK BINTUNI',
                'alt_name' => 'KABUPATEN TELUK BINTUNI',
                'latitude' => -1.880370,
                'longitude' => 133.331050,
            ],
            [
                'id' => 9105,
                'province_id' => 91,
                'name' => 'KABUPATEN MANOKWARI',
                'alt_name' => 'KABUPATEN MANOKWARI',
                'latitude' => -0.900000,
                'longitude' => 133.750000,
            ],
            [
                'id' => 9106,
                'province_id' => 91,
                'name' => 'KABUPATEN SORONG SELATAN',
                'alt_name' => 'KABUPATEN SORONG SELATAN',
                'latitude' => -1.504950,
                'longitude' => 132.286380,
            ],
            [
                'id' => 9107,
                'province_id' => 91,
                'name' => 'KABUPATEN SORONG',
                'alt_name' => 'KABUPATEN SORONG',
                'latitude' => -1.166670,
                'longitude' => 131.500000,
            ],
            [
                'id' => 9108,
                'province_id' => 91,
                'name' => 'KABUPATEN RAJA AMPAT',
                'alt_name' => 'KABUPATEN RAJA AMPAT',
                'latitude' => -0.500000,
                'longitude' => 130.000000,
            ],
            [
                'id' => 9109,
                'province_id' => 91,
                'name' => 'KABUPATEN TAMBRAUW',
                'alt_name' => 'KABUPATEN TAMBRAUW',
                'latitude' => -0.605150,
                'longitude' => 132.489620,
            ],
            [
                'id' => 9110,
                'province_id' => 91,
                'name' => 'KABUPATEN MAYBRAT',
                'alt_name' => 'KABUPATEN MAYBRAT',
                'latitude' => -1.215500,
                'longitude' => 132.350920,
            ],
            [
                'id' => 9111,
                'province_id' => 91,
                'name' => 'KABUPATEN MANOKWARI SELATAN',
                'alt_name' => 'KABUPATEN MANOKWARI SELATAN',
                'latitude' => -1.079800,
                'longitude' => 133.967290,
            ],
            [
                'id' => 9112,
                'province_id' => 91,
                'name' => 'KABUPATEN PEGUNUNGAN ARFAK',
                'alt_name' => 'KABUPATEN PEGUNUNGAN ARFAK',
                'latitude' => -0.935230,
                'longitude' => 133.895870,
            ],
            [
                'id' => 9171,
                'province_id' => 91,
                'name' => 'KOTA SORONG',
                'alt_name' => 'KOTA SORONG',
                'latitude' => -0.865070,
                'longitude' => 131.251530,
            ],
            [
                'id' => 9401,
                'province_id' => 94,
                'name' => 'KABUPATEN MERAUKE',
                'alt_name' => 'KABUPATEN MERAUKE',
                'latitude' => -7.666670,
                'longitude' => 139.666670,
            ],
            [
                'id' => 9402,
                'province_id' => 94,
                'name' => 'KABUPATEN JAYAWIJAYA',
                'alt_name' => 'KABUPATEN JAYAWIJAYA',
                'latitude' => -4.083330,
                'longitude' => 139.083330,
            ],
            [
                'id' => 9403,
                'province_id' => 94,
                'name' => 'KABUPATEN JAYAPURA',
                'alt_name' => 'KABUPATEN JAYAPURA',
                'latitude' => -3.000000,
                'longitude' => 139.950000,
            ],
            [
                'id' => 9404,
                'province_id' => 94,
                'name' => 'KABUPATEN NABIRE',
                'alt_name' => 'KABUPATEN NABIRE',
                'latitude' => -3.540160,
                'longitude' => 135.555110,
            ],
            [
                'id' => 9408,
                'province_id' => 94,
                'name' => 'KABUPATEN KEPULAUAN YAPEN',
                'alt_name' => 'KABUPATEN KEPULAUAN YAPEN',
                'latitude' => -1.787730,
                'longitude' => 136.277160,
            ],
            [
                'id' => 9409,
                'province_id' => 94,
                'name' => 'KABUPATEN BIAK NUMFOR',
                'alt_name' => 'KABUPATEN BIAK NUMFOR',
                'latitude' => -1.033330,
                'longitude' => 136.000000,
            ],
            [
                'id' => 9410,
                'province_id' => 94,
                'name' => 'KABUPATEN PANIAI',
                'alt_name' => 'KABUPATEN PANIAI',
                'latitude' => -3.900000,
                'longitude' => 136.600010,
            ],
            [
                'id' => 9411,
                'province_id' => 94,
                'name' => 'KABUPATEN PUNCAK JAYA',
                'alt_name' => 'KABUPATEN PUNCAK JAYA',
                'latitude' => -3.672410,
                'longitude' => 137.438960,
            ],
            [
                'id' => 9412,
                'province_id' => 94,
                'name' => 'KABUPATEN MIMIKA',
                'alt_name' => 'KABUPATEN MIMIKA',
                'latitude' => -4.543570,
                'longitude' => 136.565550,
            ],
            [
                'id' => 9413,
                'province_id' => 94,
                'name' => 'KABUPATEN BOVEN DIGOEL',
                'alt_name' => 'KABUPATEN BOVEN DIGOEL',
                'latitude' => -5.705190,
                'longitude' => 140.363490,
            ],
            [
                'id' => 9414,
                'province_id' => 94,
                'name' => 'KABUPATEN MAPPI',
                'alt_name' => 'KABUPATEN MAPPI',
                'latitude' => -6.499710,
                'longitude' => 139.344410,
            ],
            [
                'id' => 9415,
                'province_id' => 94,
                'name' => 'KABUPATEN ASMAT',
                'alt_name' => 'KABUPATEN ASMAT',
                'latitude' => -5.379500,
                'longitude' => 138.463440,
            ],
            [
                'id' => 9416,
                'province_id' => 94,
                'name' => 'KABUPATEN YAHUKIMO',
                'alt_name' => 'KABUPATEN YAHUKIMO',
                'latitude' => -4.604030,
                'longitude' => 139.584050,
            ],
            [
                'id' => 9417,
                'province_id' => 94,
                'name' => 'KABUPATEN PEGUNUNGAN BINTANG',
                'alt_name' => 'KABUPATEN PEGUNUNGAN BINTANG',
                'latitude' => -4.521670,
                'longitude' => 140.295410,
            ],
            [
                'id' => 9418,
                'province_id' => 94,
                'name' => 'KABUPATEN TOLIKARA',
                'alt_name' => 'KABUPATEN TOLIKARA',
                'latitude' => -3.426610,
                'longitude' => 137.416990,
            ],
            [
                'id' => 9419,
                'province_id' => 94,
                'name' => 'KABUPATEN SARMI',
                'alt_name' => 'KABUPATEN SARMI',
                'latitude' => -2.416670,
                'longitude' => 139.083330,
            ],
            [
                'id' => 9420,
                'province_id' => 94,
                'name' => 'KABUPATEN KEEROM',
                'alt_name' => 'KABUPATEN KEEROM',
                'latitude' => -3.300000,
                'longitude' => 140.616670,
            ],
            [
                'id' => 9426,
                'province_id' => 94,
                'name' => 'KABUPATEN WAROPEN',
                'alt_name' => 'KABUPATEN WAROPEN',
                'latitude' => -2.286000,
                'longitude' => 137.018370,
            ],
            [
                'id' => 9427,
                'province_id' => 94,
                'name' => 'KABUPATEN SUPIORI',
                'alt_name' => 'KABUPATEN SUPIORI',
                'latitude' => -0.738810,
                'longitude' => 135.611110,
            ],
            [
                'id' => 9428,
                'province_id' => 94,
                'name' => 'KABUPATEN MAMBERAMO RAYA',
                'alt_name' => 'KABUPATEN MAMBERAMO RAYA',
                'latitude' => -2.235610,
                'longitude' => 137.782290,
            ],
            [
                'id' => 9429,
                'province_id' => 94,
                'name' => 'KABUPATEN NDUGA',
                'alt_name' => 'KABUPATEN NDUGA',
                'latitude' => -4.450930,
                'longitude' => 138.100890,
            ],
            [
                'id' => 9430,
                'province_id' => 94,
                'name' => 'KABUPATEN LANNY JAYA',
                'alt_name' => 'KABUPATEN LANNY JAYA',
                'latitude' => -3.912440,
                'longitude' => 138.287660,
            ],
            [
                'id' => 9431,
                'province_id' => 94,
                'name' => 'KABUPATEN MAMBERAMO TENGAH',
                'alt_name' => 'KABUPATEN MAMBERAMO TENGAH',
                'latitude' => -2.460640,
                'longitude' => 138.452450,
            ],
            [
                'id' => 9432,
                'province_id' => 94,
                'name' => 'KABUPATEN YALIMO',
                'alt_name' => 'KABUPATEN YALIMO',
                'latitude' => -3.860370,
                'longitude' => 138.473050,
            ],
            [
                'id' => 9433,
                'province_id' => 94,
                'name' => 'KABUPATEN PUNCAK',
                'alt_name' => 'KABUPATEN PUNCAK',
                'latitude' => -4.142040,
                'longitude' => 137.097020,
            ],
            [
                'id' => 9434,
                'province_id' => 94,
                'name' => 'KABUPATEN DOGIYAI',
                'alt_name' => 'KABUPATEN DOGIYAI',
                'latitude' => -4.031860,
                'longitude' => 135.439450,
            ],
            [
                'id' => 9435,
                'province_id' => 94,
                'name' => 'KABUPATEN INTAN JAYA',
                'alt_name' => 'KABUPATEN INTAN JAYA',
                'latitude' => -3.410160,
                'longitude' => 136.708370,
            ],
            [
                'id' => 9436,
                'province_id' => 94,
                'name' => 'KABUPATEN DEIYAI',
                'alt_name' => 'KABUPATEN DEIYAI',
                'latitude' => -3.947370,
                'longitude' => 135.950320,
            ],
            [
                'id' => 9471,
                'province_id' => 94,
                'name' => 'KOTA JAYAPURA',
                'alt_name' => 'KOTA JAYAPURA',
                'latitude' => -2.646470,
                'longitude' => 140.777790,
            ],
        ];

        foreach ($regencies as $regency) {
            Regency::create($regency);
        }
    }
}
