@extends('layouts.app')
@push('title', 'Data Parameter')
@section('content')
    <div class="page-content">
        <div class="container-fluid">
            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0">Data Indikator</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item">
                                    <a href="javascript: void(0);">Master Data</a>
                                </li>
                                <li class="breadcrumb-item active">Data Indikator</li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title mb-0">Data Indikator</h4>
                        </div>
                        <!-- end card header -->

                        <div class="card-body">
                            <div id="customerList">
                                <div class="row g-4 mb-3">
                                    <div class="col-sm-auto">
                                        <div>
                                            <button type="button" class="btn btn-success add-btn" data-bs-toggle="modal"
                                                id="create-btn" data-bs-target="#addModal">
                                                <i class="ri-add-line align-bottom me-1"></i> Tambah
                                            </button>
                                        </div>
                                    </div>
                                    <div class="col-sm">
                                        <div class="d-flex justify-content-sm-end">
                                            <div class="search-box ms-2">
                                                <input type="text" class="form-control search" placeholder="Search..." />
                                                <i class="ri-search-line search-icon"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="table-responsive table-card mt-3 mb-1">
                                    <table class="table align-middle table-nowrap" id="customerTable">
                                        <thead class="table-light">
                                            <tr class="text-center">
                                                <th class="sort" data-sort="no">
                                                    No
                                                </th>
                                                <th class="sort" data-sort="indicator_name">
                                                    Name
                                                </th>
                                                <th class="sort" data-sort="description">Description</th>
                                                <th class="sort" data-sort="action">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody class="list form-check-all">
                                            @foreach ($indicators as $indicator)
                                                <tr class="text-center">
                                                    <td class="no">{{ $loop->iteration }}</td>
                                                    <td class="id" style="display: none">
                                                        <a href="javascript:void(0);"
                                                            class="fw-medium link-primary">#VZ2101</a>
                                                    </td>
                                                    <td class="indicator_name">{{ $indicator->name }}</td>
                                                    <td class="status">
                                                        <span>{{ $indicator->description }}</span>
                                                    </td>
                                                    <td>
                                                        <div class="d-flex gap-2 justify-content-center">
                                                            <div class="edit">
                                                                <button class="btn btn-sm btn-warning edit-item-btn"
                                                                    data-bs-toggle="modal" data-bs-target="#showModal"
                                                                    onclick="updateData({{ $indicator }})">
                                                                    Edit
                                                                </button>
                                                            </div>
                                                            <div class="remove">
                                                                <button class="btn btn-sm btn-danger remove-item-btn"
                                                                    data-bs-toggle="modal"
                                                                    data-bs-target="#deleteRecordModal"
                                                                    onclick="deleteData({{ $indicator->id }})">
                                                                    Hapus
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                    <div class="noresult" style="display: none">
                                        <div class="text-center">
                                            <lord-icon src="https://cdn.lordicon.com/msoeawqm.json" trigger="loop"
                                                colors="primary:#25a0e2,secondary:#00bd9d"
                                                style="width: 75px; height: 75px">
                                            </lord-icon>
                                            <h5 class="mt-2">Maaf! Data Tidak Ditemukan</h5>
                                            <p class="text-muted mb-0">Silahkan gunakan kata kunci lain</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="d-flex justify-content-end">
                                    <div class="pagination-wrap hstack gap-2">
                                        <a class="page-item pagination-prev disabled" href="#">
                                            Sebelumnya
                                        </a>
                                        <ul class="pagination listjs-pagination mb-0"></ul>
                                        <a class="page-item pagination-next" href="#">
                                            Selanjutnya
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end card -->
                    </div>
                    <!-- end col -->
                </div>
                <!-- end col -->
            </div>
            <!-- end row -->

            {{-- add modal --}}
            <div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header bg-light p-3">
                            <h5 class="modal-title" id="exampleModalLabel">Tambah Indikator</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                id="close-modal"></button>
                        </div>
                        <form action="" class="needs-validation" method="POST" novalidate id="add-form">
                            @csrf
                            <div class="modal-body">
                                <div class="mb-3" id="modal-id" style="display: none">
                                    <label for="id-field" class="form-label">ID</label>
                                    <input type="text" id="id-field" class="form-control" placeholder="ID"
                                        readonly />
                                </div>

                                <div class="mb-3">
                                    <label for="indicatorname-field" class="form-label">Indikator</label>
                                    <input type="text" id="indicatorname-field" class="form-control" name="name"
                                        value="{{ old('name') }}" placeholder="Masukan Nama Indikator" required
                                        autocomplete="off" />
                                    <div class="invalid-feedback">
                                        Masukan Nama Indikator
                                    </div>
                                </div>

                                <div>
                                    <label for="description-field" class="form-label">Description</label>
                                    <textarea name="description" id="description-field" id="description-field" rows="5" class="form-control"
                                        placeholder="Masukan Deskripsi" required>{{ old('description') }}</textarea>
                                    <div class="invalid-feedback">
                                        Masukan Deskripsi
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="hstack gap-2 justify-content-end">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                                        Tutup
                                    </button>
                                    <button type="submit" class="btn btn-success" id="edit-btn">
                                        Simpan
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            {{-- edit modal --}}
            <div class="modal fade" id="showModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header bg-light p-3">
                            <h5 class="modal-title" id="exampleModalLabel">Update Data Indikator</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                id="close-modal"></button>
                        </div>
                        <form action="" class="needs-validation" method="POST" novalidate id="edit-form">
                            @csrf
                            @method('PUT')
                            <div class="modal-body">
                                <div class="mb-3" id="modal-id" style="display: none">
                                    <label for="id-field" class="form-label">ID</label>
                                    <input type="text" id="id-field" class="form-control" placeholder="ID"
                                        readonly />
                                </div>

                                <div class="mb-3">
                                    <label for="indicatorname-field" class="form-label">Indikator</label>
                                    <input type="text" id="indicatorname-field" class="form-control" name="name"
                                        value="{{ old('name') }}" placeholder="Masukan Nama Indikator" required
                                        autocomplete="off" />
                                    <div class="invalid-feedback">
                                        Masukan Nama Indikator
                                    </div>
                                </div>

                                <div>
                                    <label for="description-field" class="form-label">Description</label>
                                    <textarea name="description" id="description-field" id="description-field" rows="5" class="form-control"
                                        placeholder="Masukan Deskripsi" required>{{ old('description') }}</textarea>
                                    <div class="invalid-feedback">
                                        Masukan Deskripsi
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="hstack gap-2 justify-content-end">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                                        Tutup
                                    </button>
                                    <button type="submit" class="btn btn-success" id="edit-btn">
                                        Ubah
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <!-- Modal -->
            <div class="modal fade zoomIn" id="deleteRecordModal" tabindex="-1" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                id="btn-close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="mt-2 text-center">
                                <lord-icon src="https://cdn.lordicon.com/gsqxdxog.json" trigger="loop"
                                    colors="primary:#25a0e2,secondary:#00bd9d"
                                    style="width: 100px; height: 100px"></lord-icon>
                                <div class="mt-4 pt-2 fs-15 mx-4 mx-sm-5">
                                    <h4>Anda yakin ?</h4>
                                    <p class="text-muted mx-4 mb-0">
                                        Anda yakin mau menghapus data ini ?
                                    </p>
                                </div>
                            </div>
                            <div class="d-flex gap-2 justify-content-center mt-4 mb-2">
                                <button type="button" class="btn w-sm btn-light" data-bs-dismiss="modal">
                                    Tutup
                                </button>
                                <form action="" method="POST" id="delete-form">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn w-sm btn-danger" id="delete-record">
                                        Ya, Hapus!
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--end modal -->
        </div>
        <!-- container-fluid -->
    </div>
    <!-- End Page-content -->

    @push('other-js')
        <!-- prismjs plugin -->
        <script src="assets/libs/prismjs/prism.js"></script>
        <script src="assets/libs/list.js/list.min.js"></script>
        <script src="assets/libs/list.pagination.js/list.pagination.min.js"></script>

        <!-- listjs init -->
        <script src="assets/js/pages/customJs/master-data/indikator/index.js"></script>

        <script src="assets/js/pages/form-validation.init.js"></script>
    @endpush
@endsection
