@extends('layouts.app')
@push('title', 'Data Tanah')
@section('content')
    @push('other-css')
        <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css"
            integrity="sha256-p4NxAoJBhIIN+hmNHrzRCf9tD/miZyoHS5obTRR9BMY=" crossorigin="" />

        <style>
            #map {
                height: 200px;
                width: 100%;
            }
        </style>
    @endpush
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0">Data Lahan</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">Master Data</a></li>
                                <li class="breadcrumb-item active">Data Lahan</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title mb-0">Data Lahan</h4>
                        </div><!-- end card header -->

                        <div class="card-body">
                            <div id="customerList">
                                <div class="row g-4 mb-3">
                                    <div class="col-sm-auto">
                                        <div>
                                            <button type="button" class="btn btn-success add-btn" data-bs-toggle="modal"
                                                id="create-btn" data-bs-target="#showModal"><i
                                                    class="ri-add-line align-bottom me-1"></i> Tambah</button>
                                        </div>
                                    </div>
                                    <div class="col-sm">
                                        <div class="d-flex justify-content-sm-end">
                                            <div class="search-box ms-2">
                                                <input type="text" class="form-control search" placeholder="Search...">
                                                <i class="ri-search-line search-icon"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="table-responsive table-card mt-3 mb-1">
                                    <table class="table align-middle table-nowrap" id="customerTable">
                                        <thead class="table-light">
                                            <tr class="text-center">
                                                <th class="sort" data-sort="id">
                                                    No
                                                </th>
                                                <th class="sort" data-sort="land_name">Nama Lahan</th>
                                                <th class="sort" data-sort="description">Deskripsi</th>
                                                <th class="sort" data-sort="action">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody class="list form-check-all">
                                            @foreach ($lands as $land)
                                                <tr class="text-center">
                                                    <td class="no">{{ $loop->iteration }}</td>
                                                    <td class="id" style="display:none;"><a href="javascript:void(0);"
                                                            class="fw-medium link-primary">#VZ2101</a></td>
                                                    <td class="land_name">{{ $land->name }}</td>
                                                    <td class="status"><span>{{ $land->description }}</span></td>
                                                    <td>
                                                        <div class="d-flex gap-2 justify-content-center">
                                                            <div class="edit">
                                                                <button class="btn btn-sm btn-warning edit-item-btn"
                                                                    data-bs-toggle="modal" data-bs-target="#editModal"
                                                                    onclick="updateData({{ $land }})">Edit</button>
                                                            </div>
                                                            <div class="remove">
                                                                <button class="btn btn-sm btn-danger remove-item-btn"
                                                                    data-bs-toggle="modal"
                                                                    data-bs-target="#deleteRecordModal"
                                                                    onclick="deleteData({{ $land->id }})">Hapus</button>
                                                            </div>
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                    <div class="noresult" style="display: none">
                                        <div class="text-center">
                                            <lord-icon src="https://cdn.lordicon.com/msoeawqm.json" trigger="loop"
                                                colors="primary:#25a0e2,secondary:#00bd9d" style="width:75px;height:75px">
                                            </lord-icon>
                                            <h5 class="mt-2">Maaf! Data Tidak Ditemukan</h5>
                                            <p class="text-muted mb-0">Silahkan gunakan kata kunci lain</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="d-flex justify-content-end">
                                    <div class="pagination-wrap hstack gap-2">
                                        <a class="page-item pagination-prev disabled" href="#">
                                            Kembali
                                        </a>
                                        <ul class="pagination listjs-pagination mb-0"></ul>
                                        <a class="page-item pagination-next" href="#">
                                            Selanjutnya
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div><!-- end card -->
                    </div>
                    <!-- end col -->
                </div>
                <!-- end col -->
            </div>
            <!-- end row -->

            {{-- add modal --}}
            <div class="modal fade" id="showModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header bg-light p-3">
                            <h5 class="modal-title" id="exampleModalLabel">Tambah Data Lahan</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                id="close-modal"></button>
                        </div>
                        <form action="{{ route('master_data.lahan.store') }}" class="needs-validation" method="POST"
                            novalidate id="add-form">
                            @csrf
                            <div class="modal-body">

                                <div class="mb-3" id="modal-id" style="display: none;">
                                    <label for="id-field" class="form-label">ID</label>
                                    <input type="text" id="id-field" class="form-control" placeholder="ID"
                                        readonly />
                                </div>

                                <div class="mb-3">
                                    <label for="owner-field" class="form-label">Pemilik Lahan</label>
                                    <input type="text" id="owner-field" class="form-control" name="owner"
                                        value="{{ old('owner') }}" placeholder="Masukan Nama Pemilik Lahan" required />
                                    <div class="invalid-feedback">
                                        Masukan Nama Pemilik Lahan
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label for="nohp-field" class="form-label">Nomor HP</label>
                                    <input type="text" id="nohp-field" class="form-control" name="nohp"
                                        value="{{ old('nohp') }}" placeholder="Masukan Nomor HP" required
                                        oninput="validatePhoneNumber(this)" />
                                    <div class="invalid-feedback">
                                        Masukan Nomor HP
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label for="rentalprice-field" class="form-label">Harga Sewa</label>
                                    <input type="text" id="rentalprice-field" class="form-control"
                                        name="rental_price" value="{{ old('rental_price') }}"
                                        placeholder="Masukan Harga Sewa" required />
                                    <div class="invalid-feedback">
                                        Masukan Harga Sewa
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label for="rentalstart-field" class="form-label">Mulai Dari</label>
                                            <input type="date" id="rentalstart-field" class="form-control"
                                                name="rental_start" value="{{ old('rental_start') }}"
                                                min="{{ date('Y-m-d') }}" placeholder="Masukan Tanggal Mulai" required />
                                            <div class="invalid-feedback">
                                                Masukan Tanggal Mulai
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label for="rentaluntil-field" class="form-label">Sampai</label>
                                            <input type="date" id="rentaluntil-field" class="form-control"
                                                name="rental_until" value="{{ old('rental_start') }}"
                                                min="{{ date('Y-m-d') }}" placeholder="Masukan Tanggal Sampai"
                                                required />
                                            <div class="invalid-feedback">
                                                Masukan Tanggal Sampai
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label for="landname-field" class="form-label">Nama Lahan</label>
                                    <input type="text" id="landname-field" class="form-control" name="land_name"
                                        value="{{ old('land_name') }}" placeholder="Masukan Nama Lahan" required />
                                    <div class="invalid-feedback">
                                        Masukan Nama Lahan
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label for="province-field" class="form-label">Provinsi</label>
                                    <select name="province_id" id="province-field" class="form-control" required
                                        onchange="getRegencies(this.value)">
                                        <option value="" selected disabled>Pilih Provinsi</option>
                                        @foreach ($provinces as $province)
                                            <option value="{{ $province->id }}"
                                                {{ old('province_id') == $province->id ? 'selected' : '' }}>
                                                {{ $province->name }}</option>
                                        @endforeach
                                    </select>
                                    <div class="invalid-feedback">
                                        Harap Pilih Provinsi
                                    </div>
                                </div>

                                <div class="mb-3" id="regency-container" style="display: none">
                                    <label for="regency-field" class="form-label">Kabupaten atau Kota</label>
                                    <select name="regency_id" id="regency-field" class="form-control" required
                                        onchange="getDistricts(this.value)">
                                        <option value="" selected disabled>Pilih Kabupaten atau Kota</option>
                                    </select>
                                    <div class="invalid-feedback">
                                        Harap Pilih Kabupaten atau Kota
                                    </div>
                                </div>

                                <div class="mb-3" id="district-container" style="display: none">
                                    <label for="district-field" class="form-label">Kecamatan</label>
                                    <select name="district_id" id="district-field" class="form-control" required
                                        onchange="showmap(this.value)">
                                        <option value="" selected disabled>Pilih Kecamatan</option>
                                    </select>
                                    <div class="invalid-feedback">
                                        Harap Pilih Kecamatan
                                    </div>
                                </div>

                                <div id="loading" class="text-center" style="display: none">
                                    <div class="spinner-border text-primary" role="status">
                                        <span class="visually-hidden">Loading...</span>
                                    </div>
                                </div>

                                <div id="map-container" style="display: none">
                                    <div id="map"></div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="hstack gap-2 justify-content-end" id="btn-container" style="display: none">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Tutup</button>
                                    <button type="submit" class="btn btn-success" id="add-btn">Simpan</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            {{-- edit modal --}}
            <div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header bg-light p-3">
                            <h5 class="modal-title" id="exampleModalLabel">Edit Data Lahan</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                id="close-modal"></button>
                        </div>
                        <form action="" class="needs-validation" method="POST" novalidate id="edit-form">
                            @csrf
                            @method('PUT')
                            <div class="modal-body">

                                <div class="mb-3" id="modal-id" style="display: none;">
                                    <label for="id-field" class="form-label">ID</label>
                                    <input type="text" id="id-field" class="form-control" placeholder="ID"
                                        readonly />
                                </div>

                                <div class="mb-3">
                                    <label for="landname-edit-field" class="form-label">Nama Lahan</label>
                                    <input type="text" id="landname-edit-field" class="form-control" name="land_name"
                                        value="{{ old('land_name') }}" placeholder="Masukan Nama Lahan" required />
                                </div>

                                <div>
                                    <label for="status-edit-field" class="form-label">Deskripsi</label>
                                    <textarea name="description" id="status-edit-field" rows="5" placeholder="Masukan Deskripsi"
                                        class="form-control" required>{{ old('description') }}</textarea>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="hstack gap-2 justify-content-end">
                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Tutup</button>
                                    <button type="submit" class="btn btn-success" id="add-btn">Ubah</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <!-- Modal -->
            <div class="modal fade zoomIn" id="deleteRecordModal" tabindex="-1" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                                id="btn-close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="mt-2 text-center">
                                <lord-icon src="https://cdn.lordicon.com/gsqxdxog.json" trigger="loop"
                                    colors="primary:#25a0e2,secondary:#00bd9d"
                                    style="width:100px;height:100px"></lord-icon>
                                <div class="mt-4 pt-2 fs-15 mx-4 mx-sm-5">
                                    <h4>Anda yakin ?</h4>
                                    <p class="text-muted mx-4 mb-0">Anda yakin akan menghapus data ini ?</p>
                                </div>
                            </div>
                            <div class="d-flex gap-2 justify-content-center mt-4 mb-2">
                                <button type="button" class="btn w-sm btn-light" data-bs-dismiss="modal">Tutup</button>
                                <form action="" method="POST" id="delete-form">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn w-sm btn-danger" id="delete-record">Ya,
                                        Hapus!</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--end modal -->

        </div>
        <!-- container-fluid -->
    </div>
    <!-- End Page-content -->

    @push('other-js')
        <!-- prismjs plugin -->
        <script src="assets/libs/prismjs/prism.js"></script>
        <script src="assets/libs/list.js/list.min.js"></script>
        <script src="assets/libs/list.pagination.js/list.pagination.min.js"></script>

        <!-- listjs init -->
        <script src="assets/js/pages/customJs/master-data/lahan/index.js"></script>

        <script src="assets/js/pages/form-validation.init.js"></script>

        <!-- Make sure you put this AFTER Leaflet's CSS -->
        <script src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js"
            integrity="sha256-20nQCchB9co0qIjJZRGuk2/Z9VM+kNiyxNV1lvTlZBo=" crossorigin=""></script>
    @endpush
@endsection
